<?php
/*
===================================================================================

   Author      - WPTitans
   Description - Helper Class that initiates all routines.
   Version     - 3.2

   INDEX -
   --------------------------------------------------------
   1.  Register Scripts
   2.  Register Sidebars
   3.  Dynamic Footer
   4.  Register Custom Posts
   5.  Shorten Content
   6.  Image Display
   7.  Custom Formatter
   8.  Home Generator
   9.  Portfolio Metafields
   10. Admin Sidebars MetaBox
   11. Admin Portfolio Template MetaBox
   12. Dynamic CSS
   13. Social Stuff
   14. Height Based Resize
   15. Pagination
   16. Register Menus
   17. Breadcrumbs
   18. WP Core resizer
=================================================================================== */

if(!defined('HPATH'))
die(' The File cannot be accessed directly ');

/**
 * Prepopulate the Revolution Slider with TGM Plugin
 */
include('class-tgm-plugin-activation.php');

if(!class_exists('Helper')) {

class Helper
{
	private $h;
	private $w;
	private $full_height = 450;
	private $full_width = 1060;

	private $sidebar_height = 400;
	private $sidebar_width = 780;


	function getDimensions(){
  		global $post,$super_options;

		$fh = $this->full_height; $fw = $this->full_width;


		$layout =   get_post_meta($post->ID,'_sidebar',true);
        if($layout=="") $layout = "full-width" ; // ~~ For pages existing prior to theme activation should have full width by default ~

		$content_width = '';


		switch($layout)
		{
			 case "full" :
			 case "full-width" : $w = $this->full_width; $h = $this->full_height; $layout = 'full-width';  break;
			 case "hasLeftSidebar" :
			 case "hasRightSidebar" : $w = $this->sidebar_width; $h = $this->sidebar_height; $content_width = 'two-third-width'; break;
		}


		return array("width" => $w , "height" => $h ,"layout" => $layout , 'cw' => $content_width  , 'fh' => $fh , 'fw' => $fw, 'boxed' => $super_options[SN."_is_boxable"]);
		}

	// == Constructor =================================
	function __construct() {
		global $wpdb,$super_options,$options;
		$resultSet =  $wpdb->get_results("SELECT option_name,option_value FROM $wpdb->options where option_name like '%".SN."%' ",ARRAY_A);

		$i =0;

		$data = array();
		$super_options = array();

		foreach($resultSet as $rs)
		{

			$data[$rs['option_name']] = $rs['option_value'];
		}

		foreach($options as $k => $value)
		{

		  if( isset($value["id"])  )
		  {

			  $id = $value["id"];
			  $std = false;


			  if( isset( $value["std"]) ) $std = $value["std"];
			  $super_options[$id] = $std ;
		  }


		}

		$super_options = array_merge($super_options,$data);

		function visualsetup()
		{
		  global $style_options,$super_options;
		  $query = '';
		  foreach($style_options as $option) :


   switch($option["type"])
   {
	   case "element" :

		   $params = explode(",",$option['parameters']);
			$sn = SN."_style_".trim($option['select']);


			 $query .= '  '.$option['multiple']." { ";


			foreach($params as $p) :
			  $tp = trim($p);

			   $s = $sn.$tp;
				switch($tp) {

				 case 'border' :

				 $keys= array( "_length","_bordertype","_bordercolor");
				 $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';


				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  border : '.$vals[0].'px  '.$vals[1].' #'.$vals[2].' ; ';

					break;

				 case 'border-bottom' :
				  $keys= array("_border_bottom_length","_border_bottom_type","_border_bottom_color");
				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  border-bottom : '.$vals[0].'px  '.$vals[1].' #'.$vals[2].' ; ';
				     break;
				 case 'border-top' :  $keys= array("_border_top_length","_border_top_type","_border_top_color");
				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }


				   $query .= '  border-top : '.$vals[0].'px  '.$vals[1].' #'.$vals[2].' ; ';
				  break;
				 case 'border-right' : $keys= array("_border_right_length","_border_right_type","_border_right_color");
				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  border-right : '.$vals[0].'px  '.$vals[1].' #'.$vals[2].' ; ';
				    break;
				 case 'border-left' : $keys= array("_border_left_length","_border_left_type","_border_left_color");
				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  border-left : '.$vals[0].'px  '.$vals[1].' #'.$vals[2].' ; ';
				     break;



				  case 'font' : $keys= array("_font_size","_font_weight","_font_style");
				   $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= 'font-size: '.$vals[0].'px; font-weight:  '.$vals[1].'; font-style: '.$vals[2].' ; ';

				        break;

                 case 'background' : $keys= array("_bgcolor","_bgurl","_bgrepeat","_bgposition");

				  $vals = array();
				 foreach($keys as $key)
				 {

					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  background-color : #'.trim($vals[0]).'; ';

				  if(isset($vals[1]) &&  $vals[1] !="" )
				     $query .= '  background-image :url('.$vals[1].');';

				  if(isset($vals[2]) &&  $vals[2] !="" )
				   $query .= '  background-repeat : '.$vals[2].'; ';

				   if(isset($vals[3]) &&  $vals[3] !="" )
				   $query .= '  background-position : '.$vals[3].'; ';


				   break;

				  case 'color' : $keys= array("_color");

				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  color : #'.$vals[0].'  ; ';

				   break;
				  case 'opacity' : $keys= array("_opacity");

				  $vals = array();
				 foreach($keys as $key)
				 {
					 if(isset($super_options[$s.$key]))
					 $vals[] = $super_options[$s.$key];
					 else
					 $vals[] = '';
				 }

				  if(isset($vals[0]) &&  $vals[0] !="" )
				   $query .= '  opacity : '.$vals[0].'  ; ';

				   break;
				    ?>




            <?php } endforeach;
			 $query .= " } ";
			break;

   }

endforeach;


		  $code = "
		  <style type=\"text/css\">
		 $query

		  </style>

		  ";

		  echo $code;
		}

		if( isset($super_options[SN.'_visual_enable']) && $super_options[SN.'_visual_enable'] != "false" ){ add_action('wp_head','visualsetup'); }

		add_theme_support( 'post-formats', array( 'aside', 'link','quote','video' ) );

		$this-> registerScripts();
		$this->initSidebars();
		$this->registerCustomPosts();


		$this->initAdminPortfolioFilter();
		$this->initadminSidebars();

		if(!is_admin())
		$this->dynamicCSS();

		/*
		  Image Size Decelaration
		*/


		add_image_size("portfolio_full", $this->full_width,9999, false);

$ee = array(
"name" => "Title & Subtitle Extra Details",
"post_type" => "page",
"context" => 'normal',
"priority" => 'default',
"input_fields" => array(

   array( "textarea","textarea" ) ,
   array( "Intro Title","Intro Subtitle") ,
   array( "intro_title" , "intro_text") ,
   array( "" ,"" )

  )

);

new TitanMetaBox("Intro Details",$ee);		 $ee['post_type'] = 'post';
new TitanMetaBox("Intro Details",$ee);		 $ee['post_type'] = 'gallery';
new TitanMetaBox("Intro Details",$ee);



$ee = array(
"name" => "SEO Options",
"post_type" => "page",
"context" => 'normal',
"priority" => 'default',
"input_fields" => array(

   array( "text","text","text" ) ,
   array( "Page Title(inside Title tag)","Meta Description","Meta Keywords") ,
   array( "p_title" , "meta_desc" , "meta_keywords") ,
   array( "" ,"","" )

  )

);

new TitanMetaBox("SEO Options",$ee);		 $ee['post_type'] = 'post';
new TitanMetaBox("SEO Options",$ee);		 $ee['post_type'] = 'portfolio';
new TitanMetaBox("SEO Options",$ee);		 $ee['post_type'] = 'gallery';
new TitanMetaBox("SEO Options",$ee);



add_filter('manage_edit-portfolio_columns', 'cat_columns');
function cat_columns($columns) {
    $columns['category'] = 'Category';
    return $columns;
}


add_action('manage_posts_custom_column',  'my_show_columns');
function my_show_columns($name) {
    global $post;
    switch ($name) {
        case 'category':
           $categories = get_the_terms( $post->ID, 'portfoliocategories' );


			if ( $categories && ! is_wp_error( $categories ) ) :

			  $cats = array();

			  foreach ( $categories as $term )
				  $cats[] = $term->name;
			  $cats = join( ", ", $cats );
			  echo $cats;
			  endif;
	}

}



function addversionw()
		{
			global $wp_version;
			echo "<link rel='tag' id='wp_version' href='".$wp_version."' />";
		}
add_action('admin_head','addversionw');

$ee = array(
"name" => "Extra Details",
"post_type" => "testimonial",
"context" => 'normal',
"priority" => 'high',
"input_fields" => array(

   array( "text","text" ) ,
   array( "Name","Designation") ,
   array( "testimonial_name","testimonial_desig") ,
   array( "" ,"")

  )

);
new TitanMetaBox("Extra Details",$ee);

$ee = array(
"name" => "Extra Details",
"post_type" => "team",
"context" => 'normal',
"priority" => 'high',
"input_fields" => array(

   array( "text", "text", "text", "text", "text" ) ,
   array( "twitter", "facebook", "google", "linkedin", "website"),
   array( "team_twitter", "team_facebook", "team_google", "team_linkedin", "team_website"),
   array( "" ,"")

  )

);
new TitanMetaBox("Member Details",$ee);


		function generatetyposcripts()
		{
			global $super_options;

	  // == Get the body font ========================
	  if( isset ( $super_options[SN.'_body_font'] )) {
	  $bodyfont = ($super_options[SN.'_body_font']=="") ? "PT Sans" : $super_options[SN.'_body_font'];
	  $req_bodyfont = str_replace(" ","+",$bodyfont);
	  $req_bodyfont = "http://fonts.googleapis.com/css?family={$req_bodyfont}";

	   if($super_options[SN.'_body_g_font_weight']!="")
				{
					$req_bodyfont = $req_bodyfont.":".$super_options[SN.'_body_g_font_weight'];
				}



	 wp_enqueue_style("body-font",$req_bodyfont);
	  }
	  // == Choose the font implementation type ====================
	 $font_option = 'Google Webfonts';
	  if( isset ( $super_options[SN.'_toggle_custom_font'] ))
	 $font_option = (!$super_options[SN."_toggle_custom_font"]) ? "Google Webfonts" : $super_options[SN."_toggle_custom_font"];

	   // == For google web fonts ==================================

	  if($font_option=="Google Webfonts") :
	      $customfont ="PT Sans";

		   if( isset ( $super_options[SN.'_custom_font'] ))
	      $customfont = ($super_options[SN.'_custom_font']=="") ? "PT Sans" : $super_options[SN.'_custom_font'];
	      $req_customfont = str_replace(" ","+",$customfont);


	      $req_customfont = "http://fonts.googleapis.com/css?family={$req_customfont}";

		    if(isset($super_options[SN.'_custom_g_font_enable']) && $super_options[SN.'_custom_g_font_enable']=="true")
		  {
			    $customfont = ($super_options[SN.'_custom_g_font']=="") ? "PT Sans" : $super_options[SN.'_custom_g_font'];
	            $req_customfont = str_replace(" ","+",$customfont);
	            $req_customfont = "http://fonts.googleapis.com/css?family={$req_customfont}";


		  }

		  if( isset( $super_options[SN.'_custom_g_font_weight'] ) && $super_options[SN.'_custom_g_font_weight']!="")
				{
					$req_customfont = $req_customfont.":".$super_options[SN.'_custom_g_font_weight'];
				}

	   wp_enqueue_style("custom-font",$req_customfont);



	  endif;
       $bcustomfont = "PT Sans" ;

	    if( isset( $super_options[SN.'_bcustom_font'] ) ) {
	  $bcustomfont = ($super_options[SN.'_bcustom_font']=="") ? "PT Sans" : $super_options[SN.'_bcustom_font'];
	  $req_bcustomfont = str_replace(" ","+",$bcustomfont);
	  $req_bcustomfont = "http://fonts.googleapis.com/css?family={$req_bcustomfont}";

		  wp_enqueue_style("intro-font",$req_bcustomfont);
		}

	  // == For cufon =============================================

	   if($font_option=="Cufon") :
	      $font_name = ($super_options[SN."_cufon_font"]=="") ? "Androgyne" : $super_options[SN."_cufon_font"] ;
		  $c_check = substr ($font_name,0,7);
		  if($c_check=="custom_")
		    $font_name = "uploaded/".$font_name;
		  else
		    $font_name = $font_name.".font.js";

		    wp_enqueue_script("cufon", URL . "/sprites/js/cufon-yui.js", array('jquery'));
            wp_enqueue_script("cufon-font", URL . "/sprites/js/cufon-fonts/$font_name", array('cufon'));
	   endif;
		}

	if(!is_admin())
	 add_action('init','generatetyposcripts');

		add_filter('widget_text', 'do_shortcode');
        add_theme_support( 'post-thumbnails' );

		function new_excerpt_more($more) {
			return '';
		}
		add_filter('excerpt_more', 'new_excerpt_more');

	add_theme_support( 'automatic-feed-links' );

		function p_fix_shortcodes($content){
    $array = array (
        '<p>[' => '[',
        ']</p>' => ']',
        ']<br />' => ']'
    );

    $content = strtr($content, $array);
    return $content;
}
add_filter('the_content', 'p_fix_shortcodes');


		$menus =  array(
			'top_nav' => 'Top Menu',
		  	'primary_nav' => 'Primary Menu',
			'footer_nav' => 'Bottom Footer Menu'
		  );

		$this->registerMenus($menus);

		add_editor_style( '/hades_framework/css/editor-style.css' );


		// Comment Support ====================================

		if ( ! function_exists( 'hades_comment' ) ) :

			function hades_comment( $comment, $args, $depth ) {
				$GLOBALS['comment'] = $comment;
				switch ( $comment->comment_type ) :
					case '' :
				?>

				<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
						<div id="comment-<?php comment_ID(); ?>">

							<div class="comment-info  clearfix">

							   <div class="image-info clearfix">
								<?php echo get_avatar( $comment, 40 );
								 printf( '<cite class="fn">%1$s </cite>',
						get_comment_author_link()
					);
					printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
						esc_url( get_comment_link( $comment->comment_ID ) ),
						get_comment_time( 'c' ),
						/* translators: 1: date, 2: time */
						sprintf( __( '%1$s at %2$s', 'twentytwelve' ), get_comment_date(), get_comment_time() )
					);?>

								 <?php if ( $comment->comment_approved == '0' ) : ?>
										<em><?php _e( 'Your comment is awaiting moderation.'  , 'h-framework'); ?></em>
								  <?php endif; ?>
							   </div>


							   <div class="comment-body clearfix"><span class="arrow"></span><?php comment_text(); ?></div>
								<div class="reply clearfix">
									<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
							   </div><!-- .reply -->
							 </div><!-- .comment-author .vcard -->

				</div><!-- #comment-##  -->

				<?php
						break;
					case 'pingback'  :
					case 'trackback' :
				?>
				<li class="post pingback">
					<p><?php _e( 'Pingback:' , 'h-framework' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)' , 'h-framework'), ' ' ); ?></p>
				<?php
						break;
				endswitch;
			}
			endif;

		// == Add admin logo ===========

		function my_custom_login_logo() {

   if(get_option(SN."_admin_logo_width")!="") $width = "width:".get_option(SN."_admin_logo_width")."px!important;";
   if(get_option(SN."_admin_logo_height")!="") $height = "height:".get_option(SN."_admin_logo_height")."px!important;";

    echo '<style type="text/css">
        #login h1 a { background:url('.get_option(SN."_admin_logo").') center center no-repeat !important;
		  '.$width.'
		  '.$height.'
		  margin-top:0px;
		   }
    </style>';

}
if(get_option(SN."_enable_admin_logo")=="Yes")
add_action('login_head', 'my_custom_login_logo');


	}

	 // == Register Scripts ==========================

   public function registerScripts()
	{

		function footer_scripts()
		{

			wp_enqueue_script('jquery');
			wp_enqueue_script('jquery-transit',URL.'/sprites/js/jquery.transit.js');
			wp_enqueue_script('jquery-isotope',URL.'/sprites/js/jquery.isotope.min.js');
			wp_enqueue_script('common-utils',URL.'/sprites/js/common-utils.js');
			wp_enqueue_script('jquery-redils-core',URL.'/sprites/js/jquery.redils.js');
			wp_enqueue_script('jquery-redils-presets',URL.'/sprites/js/jquery.redils.presets.js');
			wp_enqueue_script('jquery-redils-fade',URL.'/sprites/js/jquery.redils.fade.js');
			wp_enqueue_script('jquery-redils-jquery',URL.'/sprites/js/jquery.redils.jquery.js');
			wp_enqueue_script('jquery-easy-piechart',URL.'/sprites/js/jquery.easy-pie-chart.js');
			wp_enqueue_script('jquery-prettyphoto',URL.'/sprites/js/jquery.prettyPhoto.js');
			wp_enqueue_script('theme-custom',URL.'/sprites/js/custom.js');

		}

		add_action('wp_footer','footer_scripts');

		function addScripts() {
			global $super_options,$current_user,$post;

		    wp_enqueue_style('theme-css',URL.'/style.css');
		    wp_enqueue_style("font-awesome",HURL."/css/font-awesome.min.css", false, "1.0", "all");

		    $listener =  (isset($super_options[SN."_style_listener"]) && $super_options[SN."_style_listener"]=="") ? "Default" : $super_options[SN."_style_listener"];
		                $noStyleFlag = false;

		                switch($listener)
		                {
		                    case "Default" : $noStyleFlag = false; break;
		                    case "Plain Shades" : $listener=  URL.'/sprites/stylesheets/plain/'.$super_options[SN."_plain_theme"].'/default.css';  $noStyleFlag = true; break;

		                }

		                if(isset($_GET['style']))
		                {
		                    $style = $_GET['style'];
		                    $listener=  URL.'/sprites/stylesheets/plain/'.$style.'/default.css';  $noStyleFlag = true;
		                    $_SESSION['style'] = $style;
		                }

		                if(isset($_SESSION['style']))
		                {
		                    $style = $_SESSION['style'];
		                    $listener=  URL.'/sprites/stylesheets/plain/'.$style.'/default.css';  $noStyleFlag = true;

		                }

		                if($noStyleFlag)
		                wp_enqueue_style('color-style',$listener);

			}


		 function addAdminScripts() {

		wp_enqueue_script('jquery-ui-datepicker',HURL."/js/jquery.ui.datepicker.min.js","jquery-ui-core",false);
			wp_enqueue_script('jquery-global',HURL.'/js/global.js');
			wp_enqueue_style('global-css',HURL.'/css/global.css');
			wp_enqueue_script('jquery-colorpicker',HURL.'/js/colorpicker.js');

		$url = parse_url( $_SERVER['PHP_SELF']);

		if( basename($url['path']) == "nav-menus.php" || (  isset($_GET['page']) && ( $_GET['page'] == "hades" || $_GET['page'] == "SLIDE" || $_GET['page'] == "LAYOU" )) )
		{
			if( $_GET['page'] == "LAYOU")
			{
				 wp_enqueue_style('thickbox');
  			     wp_enqueue_script('thickbox');
			}
			 if(!function_exists( 'wp_enqueue_media' )  ){

   		          wp_enqueue_style('thickbox');
                  wp_enqueue_script('thickbox');
			  }
			  else
			wp_enqueue_media();
		}
			}

		 if(!is_admin())
		add_action('init','addScripts');
        else
		add_action('admin_init','addAdminScripts');


	}

  // == Register Sidebars ===========================

  function initSidebars()
  {
    $homebar = array(
  'name' => 'Blog Sidebar',
  'id' => 'blog_sidebar',
  'description' => 'Widgets in this area will be shown in the right blog sidebar.',
  'before_widget' => '<div class="sidebar-wrap clearfix">',
  'after_widget' => '</div>',
  'before_title' => '<h3 class="custom-font heading">',
  'after_title' => '</h3>',
	);

	$footer_mobile = array(
	  'name' =>  "Footer Mobile",
	  'id' => 'footer_mobile',
	  'description' => 'Widgets will be shown in the Footer for Mobile Devices.',
	  'before_widget' => '<div class="footer-wrap clearfix">',
	  'after_widget' => '</div>',
	 'before_title' => '<h3 class="custom-font footer-heading">',
	  'after_title' => '</h3>',
	);


	$sidebars = array($homebar,$footer_mobile);

	if(function_exists('register_sidebar')){

		foreach($sidebars as $sidebar)
		register_sidebar($sidebar);

	}

	 $this->registerDynamicFooter();

	  global $super_options;
	  $dynamic_active_sidebars = array();

	 if( isset($super_options[SN."_active_sidebars"]) )
	  $dynamic_active_sidebars = unserialize($super_options[SN."_active_sidebars"]);

      if(!is_array($dynamic_active_sidebars)) $dynamic_active_sidebars = array();

	  if( count($dynamic_active_sidebars ) >0 )
	  foreach($dynamic_active_sidebars as  $widget)
	  {
		 $tid = strtolower ( str_replace(" ","_",trim($widget)) );
		 $temp_widget = array(

		'name' => $widget,
		'description' => __('This is a dynamic sidebar','h-framework'),
		'before_widget' => '<div class="dynamic-wrap sidebar-wrap clearfix">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="custom-font heading">',
		'after_title' => '</h3>',
		);
	  register_sidebar($temp_widget);
	  }


  }

  // == Dynamic Footer =================================


	 function registerDynamicFooter() {

		 $footer_layout = get_option(SN."_footer_layout");

		 $count = 2;
		 switch($footer_layout)
		 {
			 case "two-col" : $count = 2 ; break;
			 case "three-col" : $count = 3 ; break;
			 case "four-col" : $count = 4 ; break;
			 case "five-col" : $count = 5 ; break;
			 case "six-col" : $count = 6 ; break;
			 case "one-third" : $count = 2 ; break;
			 case "one-fourth" : $count = 2 ; break;
			 case "one-fifth" : $count = 2 ; break;
			 case "one-sixth" : $count = 2 ; break;


		 }

		for($i=1;$i<=$count;$i++)
		 {
		   $sidebar = array(
						'name' => ("Footer Column $i"),
						'id' => "footer_column_".$i ,
						'description' => 'Widgets will be shown in the footer.',
						'before_widget' => '<div class="footer-wrap clearfix">',
						'after_widget' => '</div>',
						'before_title' => '<h3 class="custom-font footer-heading">',
						'after_title' => '</h3>',
					  );

		   register_sidebar($sidebar);

		 }
   }

   // == Register Custom Posts ================================

   function registerCustomPosts()
   {
	   $labels = array(
					  'name' => _x("Portfolios", 'post type general name','h-framework'),
					  'singular_name' => _x("Portfolio", 'post type singular name','h-framework'),
					  'add_new' => _x("Add New", 'portfolio','h-framework'),
					  'add_new_item' => __("Add New Portfolio",'h-framework','h-framework'),
					  'edit_item' => __("Edit Portfolio",'h-framework'),
					  'new_item' => __("New Portfolio",'h-framework'),
					  'all_items' => __("All Portfolio",'h-framework'),
					  'view_item' => __("View Portfolio",'h-framework'),
					  'search_items' => __("Search Portfolio",'h-framework'),
					  'not_found' =>  __("Not Found",'h-framework'),
					  'not_found_in_trash' => __("Not Found in Trash",'h-framework'),
					  'parent_item_colon' => "",
					  'menu_name' => __("Portfolio",'h-framework')

					);

 		$args = array(
					  'labels' => $labels,
					  'description' => __("Add your Portfolio here",'h-framework'),
					  'public' => true,
					  'publicly_queryable' => true,
					  'show_ui' => true,
					  'exclude_from_search' => false,
					  'query_var' => true,
					  'rewrite' => TRUE,
					  'menu_icon' => HURL."/css/i/cicon.png",
					  'rewrite' => true,
					  'capability_type' => 'post',
					  '_edit_link' => 'post.php?post=%d',
					  'rewrite' => array(
                        'slug' => "portfolio" ,
                        'with_front' => FALSE,
                        ),
					  'hierarchical' => false,
					  'menu_position' => null,
					  'supports' =>array('title','editor','author','thumbnail','comments')
					  );
	   $portfolio = new CustomPost("portfolio",$args,"Portfolio Categories");
	   $this->addSlidable();




	  $tlabels = array(
					  'name' => _x("Testimonial", 'post type general name','h-framework'),
					  'singular_name' => _x("Testimonial", 'post type singular name','h-framework'),
					  'add_new' => _x("Add New", 'Testimonial','h-framework'),
					  'add_new_item' => __("Add New Testimonial",'h-framework','h-framework'),
					  'edit_item' => __("Edit Testimonial",'h-framework'),
					  'new_item' => __("New Testimonial",'h-framework'),
					  'all_items' => __("All Testimonial",'h-framework'),
					  'view_item' => __("View Testimonial",'h-framework'),
					  'search_items' => __("Search Testimonials",'h-framework'),
					  'not_found' =>  __("Not Found",'h-framework'),
					  'not_found_in_trash' => __("Not Found in Trash",'h-framework'),
					  'parent_item_colon' => "",
					  'menu_name' => __("Testimonial",'h-framework')

					);

 		$targs = array(
					  'labels' => $tlabels,
					  'description' => __("Add your Testimonial here",'h-framework'),
					  'public' => true,
					  'publicly_queryable' => true,
					  'show_ui' => true,
					  'exclude_from_search' => false,
					  'query_var' => true,
					  'rewrite' => TRUE,
					  'rewrite' => true,
					  'capability_type' => 'post',
					  '_edit_link' => 'post.php?post=%d',
					  'rewrite' => array(
                        'slug' => "testimonial" ,
                        'with_front' => FALSE,
                        ),
					  'hierarchical' => false,
					  'menu_position' => null,
					  'supports' =>array('title','editor','thumbnail')
					  );
	   new CustomPost("testimonial",$targs,"");

	   $tmlabels = array(
					  'name' => _x("Team", 'post type general name','h-framework'),
					  'singular_name' => _x("Team Member", 'post type singular name','h-framework'),
					  'add_new' => _x("Add New", 'Team Member','h-framework'),
					  'add_new_item' => __("Add Team Member",'h-framework','h-framework'),
					  'edit_item' => __("Edit Team Member",'h-framework'),
					  'new_item' => __("New Team Member",'h-framework'),
					  'all_items' => __("All Team Members",'h-framework'),
					  'view_item' => __("View Team Member",'h-framework'),
					  'search_items' => __("Search Team Members",'h-framework'),
					  'not_found' =>  __("Not Found",'h-framework'),
					  'not_found_in_trash' => __("Not Found in Trash",'h-framework'),
					  'parent_item_colon' => "",
					  'menu_name' => __("Team Member",'h-framework')

					);

 		$tmargs = array(
					  'labels' => $tmlabels,
					  'description' => __("Add your Team here",'h-framework'),
					  'public' => true,
					  'publicly_queryable' => true,
					  'show_ui' => true,
					  'exclude_from_search' => false,
					  'query_var' => true,
					  'rewrite' => TRUE,
					  'rewrite' => true,
					  'capability_type' => 'post',
					  '_edit_link' => 'post.php?post=%d',
					  'rewrite' => array(
                        'slug' => "team" ,
                        'with_front' => FALSE,
                        ),
					  'hierarchical' => false,
					  'menu_position' => null,
					  'supports' =>array('title','editor','thumbnail')
					  );
	   new CustomPost("team",$tmargs,"");

   }


   /// == Add Slides Module =========================================

  function addSlidable(){


	  add_action("admin_init", "portfolio_admin_init");

	  function portfolio_admin_init(){
		   add_meta_box("exportfolio_credits_meta", "Upload Extra Projects Images", "exportfolio_credits_meta", "portfolio", "normal", "high");
		   add_meta_box("exportfolio_credits_meta", "Slideshow & Featured Content Images", "exportfolio_credits_meta", "gallery", "normal", "high");
		 }



	  function exportfolio_credits_meta() {
	      global $post;
	      $custom = get_post_custom($post->ID);

		  if(isset($custom["gallery_items"][0]))
		 {
			  $slides = unserialize($custom["gallery_items"][0]);
	 	  if(!$slides) $slides = array();
		 }
		 else  $slides = array();

	      ?>

	    <div id="hades_gallery" class="slideable">

	      <div class="toppanel clearfix">
	          <a href="#" id="addslide" class="button-save"><?php _e('Add item','h-framework'); ?></a>
	      </div>
	      <div class="slider-lists">
	      <ul>
			  <?php  foreach($slides as $slide) { if(trim($slide['src'])!="") : ?>
              <li class="clearfix contract">


              <div class="slide-head">
              <a href="#" class="move-icon"></a>
              <a href="#" class="max-slide-button edit-icon slide-toggle-button"><?php _e('Expand','h-framework'); ?></a>
              <a href="#" class="delete-slide-button removeslide"><?php _e('Delete','h-framework'); ?></a>



              </div>
              <div class="slide-body">

              <div class="image-slide">
              <div class="separator clearfix">

              <div class="clearfix">
              <label for=""><?php _e('Upload Image/Media Link:','h-framework'); ?></label>
              <input type="text" class="" name="imagesrc[]" value="<?php echo $slide['src'] ?>" />
              <a href="#" class="image_upload button-default" title="Add to Slideshow"><?php _e('Upload','h-framework'); ?></a>
              </div>


              </div>

              </div>
              </div>


              <input type="hidden" name="slide_type[]" value="upload" class="slide_type" />
              </li>
	      <?php endif; } ?>
	      </ul>



           <ul class="cloneable hide">

              <li class="clearfix contract">


              <div class="slide-head">
              <a href="#" class="move-icon"></a>
              <a href="#" class="max-slide-button edit-icon slide-toggle-button"><?php _e('Expand','h-framework'); ?></a>
              <a href="#" class="delete-slide-button removeslide"><?php _e('Delete','h-framework'); ?></a>



              </div>
              <div class="slide-body">

              <div class="image-slide">
              <div class="separator clearfix">

              <div class="clearfix">
              <label for=""><?php _e('Upload Image/Media Link:','h-framework'); ?></label>
              <input type="text" class="" name="imagesrc[]" value="" />
              <a href="#" class="image_upload button-default" title="Add to Slideshow"><?php _e('Upload','h-framework'); ?></a>
             </div>


              </div>

              </div>
              </div>


              <input type="hidden" name="slide_type[]" value="upload" class="slide_type" />
              </li>

	      </ul>

	    </div>
	  </div>
	   <?php
	  }

	  add_action('save_post', 'exportfolio_save_details');

	  function exportfolio_save_details(){
	  global $post;
	  if(isset($_POST['slide_type'])) {

	  $slides = array();

	  foreach ( $_POST['slide_type'] as $key => $value )
	  {
	  $urlimage = $_POST['imagesrc'][$key];
	  $ilink =  $_POST['link_src'][$key];
	  $ilayout=  $_POST['imagelayout'][$key];
	   $media =  $_POST['media'][$key];


	  $slides[] = array(
	  'src' => $urlimage,
	  'link' => $ilink ,
	  'type' => $value,
	  'title' => '',
	  'media' => $media,
	  'layout' => $ilayout
	  );



	  }

	  update_post_meta($post->ID, "gallery_items", $slides);
	  update_post_meta($post->ID, "gallery_column", $_POST['gallery_column']);
	  }

	  }

	  function add_exportfolio_scripts()
	  {
	  wp_enqueue_script('jquery-ui-core');
	  wp_enqueue_script('jquery-ui-sortable');

	  }

	  add_action('admin_init','add_exportfolio_scripts');

   }

  // == Shorten Content ===================================

  public function getShortenContent($num,$content,$trailing='...') {

	$text = $content;
	$text = strip_shortcodes($text); // optional, recommended
	$text = strip_tags($text); // use ' $text = strip_tags($text,'<p><a>'); ' if you want to keep some tags

	$text = substr($text,0,$num);
	$excerpt = $this->reverse_strrchr($text, ' ', 1);
	if( $excerpt ) {
		return $excerpt;
	} else {
		return $text;
	}
	}

 function reverse_strrchr($haystack, $needle, $trail) {
    return strrpos($haystack, $needle) ? substr($haystack, 0, strrpos($haystack, $needle) + $trail) : false;
}


 // == Image Display ======================================


 public function imageDisplay( $options )
	{
	  global $super_options;
	  extract( array_merge(  array( "src" => NULL , "height" => 300 , "width" => 600 , "lightbox" => false , 'parent_wrap' => true , "hoverable" => false , "advance_query" => false , "gallery" => false  , "link" =>'' , "title" => '' , 'crop' => '' , 'class' => '', 'imageAttr' => '' , 'imgclass' => '' ) ,$options ) );
	  $o_src =  $src;


	  $rel = '';

	$super_options[SN."_image_resize"]="Wordpress Core resizer";

	  if($hoverable)	$hoverable = '<span class="hover-image"> <small></small> </span>';
	  if($lightbox) {  $link = $o_src;  $lightbox = 'lightbox'; }
	  if($gallery)    $rel = 'rel=prettyPhoto[pp_gal]';

	 if($super_options[SN."_image_resize"]=="none") :
	 $image =    "  $hoverable  <img class='".$imgclass."' $imageAttr src='".$src."'  width='$width' height='$height'   />";

	 elseif($super_options[SN."_image_resize"]=="Wordpress Core resizer") :

		$cr_img = $this->wp_resize(NULL,$src,$width,$height);
		$image = "  $hoverable  <img $imageAttr class='".$imgclass."' src='".($cr_img['url'])."'   />";

	 endif;



	  if($parent_wrap) $image = "<a href='$link' class='$lightbox imageholder $class' title='$title'> $image </a>";

	  return $image;
	}



 // == WP Core resizer ==================

	 public function wp_resize($attach_id = null, $img_url = null, $width, $height, $crop = true) {

	$src = $this->getMUFix($img_url);

    if($src){

        $file_path = parse_url($src);
        $file_path = $_SERVER['DOCUMENT_ROOT'] . $file_path['path'];

        $orig_size = @getimagesize($file_path);

        $image_src[0] = $img_url;
        $image_src[1] = $orig_size[0];
        $image_src[2] = $orig_size[1];
    }

    /*
		This will check if the image is too small.
		If it is, it will just return the same image
    */
	$dont_crop = null;
	if ($image_src[1] < $width && $image_src[2] < $height) { $dont_crop = true; }

	if ($dont_crop) {
		$vt_image = array (
            'url' => $img_url,
            'width' => $orig_size[0],
            'height' => $orig_size[1]
        );

        return $vt_image;
	}

    $file_info = pathinfo($file_path);
    $extension = '.'. $file_info['extension'];

    // the image path without the extension
    $no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];

    $cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;

	if ( file_exists($cropped_img_path) )
	{

		$new_img = str_replace(basename($image_src[0]), basename($cropped_img_path), $image_src[0]);
		$vt_image = array (
            'url' => $new_img,
            'width' => $width,
            'height' => $height
        );

        return $vt_image;
	}

        // no cache files - let's finally resize it
        $new_img_path = null;
		if(  function_exists('wp_get_image_editor')) {

			$editor = wp_get_image_editor($file_path);

			if ( is_wp_error( $editor ) || is_wp_error( $editor->resize( $width, $height, $crop ) ) ) return $img_url ;

			$resized_file = $editor->save();



			if(!is_wp_error($resized_file)) {
			 $new_img_path	= $resized_file['path'];

			} else {
				return false;
			}

		} else {



		$new_img_path = image_resize($file_path, $width, $height, $crop);


		}

        $new_img_size = getimagesize($new_img_path);
        $new_img = str_replace(basename($image_src[0]), basename($new_img_path), $image_src[0]);

        // resized output
        $vt_image = array (
            'url' => $new_img,
            'width' => $new_img_size[0],
            'height' => $new_img_size[1]
        );

        return $vt_image;


}

 // == MU Fix ===================================

	public function getMUFix($src){

	   global $super_options;

	  $resize_opt = trim($super_options[SN."_image_resize"]);


	  $theImageSrc = $src;
                          global $blog_id;
                          if (isset($blog_id) && $blog_id > 0) {
                          $imageParts = explode('/files/', $theImageSrc);
                          if (isset($imageParts[1])) {
                              $theImageSrc = '/blogs.dir/' . $blog_id . '/files/' . $imageParts[1];
							   return  '/wp-content'.$theImageSrc;
                          }

                      }

	return  $src;

		}

 // == Custom Formatter ======================

   public function format($content,$strip_tags = false,$shortcode=true,$autop=true){
	    $content = 	stripslashes($content);

		if($shortcode) $content = do_shortcode( $content  );
	    $content = preg_replace('#^<\/p>|^<br\s?\/?>|<p>$|<p>\s*(&nbsp;)?\s*<\/p>#', '', $content);

	   if($strip_tags) $content = strip_tags($content);
	   if($autop) $content =  wptexturize(wpautop($content));

	   return $content;

	   }


 public function titanGenerator($id)
 {
	 global $wpdb;
	 $table_db_name = $wpdb->prefix . "teditor";
	 $table = $wpdb->get_row("SELECT * FROM $table_db_name where id='$id' ",ARRAY_A);

	 $layout = unserialize($table['layout']);
	 if( !is_array($layout) ) $layout = array();

     $beginClear = false; $hasLayout = ' skeleton ';
				  $i =0;
	 foreach($layout as $element)
	 {

		 if(! is_array($element[1]) ) $element[1]['Layout'] = '';


		 if( isset($element[1]['Layout']) && trim($element[1]['Layout'])!="" && trim($element[1]['Layout'])!="none" && !$beginClear )
		 {
		 $beginClear = true; $hasLayout = 'layout_element';
		  echo "<div class='group-wrap'><div class='clearfix skeleton '>";
		 }


		 switch($element[0])
		 {

		 	case 'testimonials' : $data = $element[1]; ?>

		 	<?php $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : ""; ?>

		 	<div class="tesimonials-wrapper <?php echo $lazy_loading; ?>">

	            <div class="testimonials clearfix super-parent">

		            <div class="testimonial-slider scrollable">
						<?php
							if(!isset($data['no_of_posts'])) $data['no_of_posts'] = 4;
			       			$post_type = 'testimonial';
			         		$opts = array(
								'post_type' => $post_type,
								'posts_per_page' => $data['no_of_posts']
							);
							$popPosts = new WP_Query($opts);
			            	$i =0;

							while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;
						?>

				            <div class="testimonial layout_element ">
				            	<div class="content ">
									<?php the_content(); ?>
				                	<div class="meta-data "><span class="name"><?php echo get_post_meta(get_the_ID(),'testimonial_name',true); ?></span><span class="design">  - <?php echo get_post_meta(get_the_ID(),'testimonial_desig',true); ?></span></div>
				                </div>

								<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */  ?>

										<?php
											$id = get_post_thumbnail_id();
											$ar = wp_get_attachment_image_src( $id , array(9999,9999) );
											echo $this->imageDisplay( array( "src" => $ar[0] , "height" => 330 , "width" => 330 , "link" =>  get_permalink() ));
										?>
								<?php endif;    ?>

				            </div>
			            <?php $i++; endwhile; $popPosts->rewind_posts();  ?>

					</div>


					<nav class="testimonial-nav">
						<?php while ($popPosts->have_posts()) : $popPosts->the_post();  ?>
			            	<a href="#">&#8226;</a>
			        	<?php endwhile; $popPosts->rewind_posts();  ?>
			        </nav>

	            </div>
            </div>


			 <?php break;

			 case 'team' : $data = $element[1]; ?>

			 <?php $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : ""; ?>

            <div class="team clearfix super-parent <?php echo $lazy_loading; ?>">

            	<div class="skeleton">

					<div class="section-title clearfix">
						<h2 class=" custom-font"><?php echo  stripslashes( $data['mtitle'] ) ; ?></h2>
					</div>

					<?php
						if(!isset($data['no_of_posts'])) $data['no_of_posts'] = 4;
		       			$post_type = 'team';
		         		$opts = array(
							'post_type' => $post_type,
							'posts_per_page' => $data['no_of_posts']
						);
						$popPosts = new WP_Query($opts);
		            	$i =0;
		            	$testimonial_images = array();

						while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;
					?>

			            <div class="team-member layout_element ">

			            	<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */  ?>
								<?php
									$id = get_post_thumbnail_id();
									$ar = wp_get_attachment_image_src( $id , array(9999,9999) );
									echo $this->imageDisplay( array( "src" => $ar[0] , "height" => 330 , "width" => 330 , "link" =>  get_permalink(), "imageAttr" => "alt='".get_the_title()."'" ));
								?>
							<?php endif;    ?>

			            	<div class="desc">
			            		<h2 class="custom-font">
									<?php the_title(); ?>
			            		</h2>
								<?php the_content(); ?>

								<?php if(get_post_meta(get_the_ID(),'team_twitter',true) != ""): ?><a href="<?php echo get_post_meta(get_the_ID(),'team_twitter',true); ?>" target="_blank" class='symbol' title='circletwitterbird'></a><?php endif; ?>
								<?php if(get_post_meta(get_the_ID(),'team_facebook',true) != ""): ?><a href="<?php echo get_post_meta(get_the_ID(),'team_facebook',true); ?>" target="_blank" class='symbol' title='circlefacebook'></a><?php endif; ?>
								<?php if(get_post_meta(get_the_ID(),'team_google',true) != ""): ?><a href="<?php echo get_post_meta(get_the_ID(),'team_google',true); ?>" target="_blank" class='symbol' title='circlegoogleplus'></a><?php endif; ?>
								<?php if(get_post_meta(get_the_ID(),'team_linkedin',true) != ""): ?><a href="<?php echo get_post_meta(get_the_ID(),'team_linkedin',true); ?>" target="_blank" class='symbol' title='circlelinkedin'></a><?php endif; ?>
								<?php if(get_post_meta(get_the_ID(),'team_website',true) != ""): ?><a href="<?php echo get_post_meta(get_the_ID(),'team_website',true); ?>" target="_blank" class='symbol' title='circlesharethis'></a><?php endif; ?>
			                </div>

			            </div>
		            <?php $i++; endwhile; $popPosts->rewind_posts();  ?>
		           </div>
            </div>


			 <?php break;


			   case 'scrollable-post' :

		    $data = $element[1]; ?>

		    <?php $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : ""; ?>

          <div  class="clearfix latest-scrollable-posts skeleton isScrollable <?php echo $lazy_loading; ?>">

         <?php if( $data['title']!="") : ?>
          <div class="section-title clearfix">
          	 <h2 class=" custom-font"><?php echo  stripslashes( $data['title'] ) ; ?></h2>
          </div> <a href="<?php the_permalink($data['page_link_id']); ?>" class="more"><?php echo $data['button_label'] ?></a>
         <?php endif; ?>

       <div class="clearfix">

        <div class="two_third clearfix layout_element">
        <?php if($data['no_of_posts'] > 3) : ?>
           <a href="" class="scrollable-prev">Previous</a>
         <a href="" class="scrollable-next">Next</a>
              <?php endif ;?>

         <div class="scrollable">
           <div class="items">
			<?php
            $post_type = $data['post_type'];
         $opts = array(

			'post_type' => $post_type,
			'posts_per_page' => $data['no_of_posts'],
			 'tax_query' =>  array(
							   array(
										'taxonomy' => 'post_format',
										'field' => 'slug',
										'terms' => array('post-format-quote','post-format-aside','post-format-video','post-format-link'),
										'operator' => 'NOT IN'
									)
							)
			);

			if(trim( $data['category'])!="") :
			if($post_type=="post") $opts['category_name'] = $data['category'];
			else if($post_type=="portfolio")
			{

				 $opts['portfoliocategories'] = $data['category'];
				  $opts['tax'] = 'portfoliocategories';
			}
			else if($post_type=="gallery")
			{

				 $opts['gallerycategories'] = $data['category'];
				  $opts['tax'] = 'gallerycategories';
			}
			endif;

			$popPosts = new WP_Query($opts);

			while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;  global $product;

			 if($post_type=="product") $cl = " products ";
			 else $cl = "post-nonproduct post-".$post_type;

			  if($i == 0 || $i%3 ==0 ) echo "<ul class='items-block $cl '  >";


			?>
              <li class="post-item <?php if($i%3==0) echo 'nomarginleft'; ?> ">
              	<?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */  ?>
					<div class="image">
						<?php
						$id = get_post_thumbnail_id();
						$ar = wp_get_attachment_image_src( $id , array(9999,9999) );


						echo $this->imageDisplay( array( "src" => $ar[0] , "height" => 167 , "width" => 245 , "link" =>  get_permalink() ));

						?>

						<section class='folio-overlay'>
							<a href="<?php echo $ar[0]; ?>" title="<?php the_title(); ?>" class="lightbox">Open in lightbox</a>
							<a href="<?php echo get_permalink() ?>" class="link">View</a>
						</section>

					</div><!--image-->
				<?php endif; if(!isset($data['no_of_ex'])) $data['no_of_ex'] = 200;  	  ?>

				<div class="desc">
					<h3 class="custom-font"><a href="<?php the_permalink(); ?>"><?php echo $this->getShortenContent(40, get_the_title() ); ?></a></h3>
					<?php if($data['excerpt']=="yes") echo $this->getShortenContent(100,strip_shortcodes( strip_tags(get_the_content()) ),''); ?>
				</div>

              </li>
			<?php  $i++;  if($i%3 ==0 ) echo "</ul>"; endwhile; echo '</ul>'; ?>
            </div>
            </div>

           </div>
         <div class="one_third_last clearfix layout_element">

          <div class="main-info clearfix">

                      <div  class=""><?php echo  $this->format( $data['description'] ) ; ?></div>


          </div>

        </div>
          </div> </div>
		  <?php break;



			case 'slider' :
		 	$data = $element[1];

		 	$lazy_loading = $data['lazy-loading'] ? "has-lazyload" : "";

			 $table_db_name = $wpdb->prefix . "revslider_sliders";
			 $slider = $wpdb->get_row("SELECT * FROM $table_db_name where id='".$data["id"]."' ",ARRAY_A);

			 ?>
             <div class="titan_slider" <?php echo $lazy_loading; ?>>
             <div class="skeleton">

            <?php if(isset($data['mtitle']) && $data['mtitle']!="") : ?>
              <div class="section-title">
         			<h2 class="custom-font"><?php echo $this->format($data['mtitle'],false,false,false); ?></h2>
        	 </div>
             <?php endif ?>

         <?php
		 if($slider) :

			 putRevSlider($slider['alias']);

			 echo "</div></div>";

			 endif;
			break;
			case 'pricing-table' :
				$data = $element[1];
				$lazy_loading = $data['lazy-loading'] ? "has-lazyload" : "";
				echo '<div class="pricing-wrapper">';
					echo '<div class="pricing-section '. $data['Layout'].' '.$lazy_loading.' '.$hasLayout.' "> '.(do_shortcode("[megatables id='".$data['id']."' /]"))."</div>";
				echo '</div>';
			break;
			case 'two-columns' :
			$i=0;
			$lazy_loading = $element[7] ? "has-lazyload" : "";

			echo ' <div class="home-page-two-columns editor-cols '.$lazy_loading.'">';
			 echo '<div class=" skeleton clearfix"><div class="column-inner-wrapper clearfix">';?>


             <?php if(trim($element[3])!="") : ?>
             <div class="section-title">
          <?php if(trim($element[3])!="") : ?>	 	<h2 class="custom-font"><?php echo $this->format($element[3],false,false,false); ?></h2>  <?php endif; ?>
         </div>
         <?php endif; ?>

         <?php


			$layouts = explode(",",$element[2]);
			$cw = 470;
			foreach($element[1] as $column)
			{

				$cw = 1160; $ch = 250;

			switch($layouts[$i])
			{
				case 'two_third' : case 'two_third_last' : $cw = 694; $ch = 250; break;
				case 'one_third' : case 'one_third_last': $cw = 324; $ch = 250; break;
				case 'one_half' : case 'one_half_last': $cw = 510; $ch = 250; break;
				case 'three_fourth' : case 'three_fourth_last': $cw = 845; $ch = 250; break;
				case 'one_fourth' : case 'one_fourth_last': $cw = 255; $ch = 250; break;
				case "one_fifth" :  case "one_fifth_last"  :  $cw =196;  break;
				case "four_fifth" :  case "four_fifth_last"  :  $cw =900;  break;
			}

				?>



				<div class="<?php  echo $layouts[$i];    ?> layout_element clearfix">


               <?php if($column['img_src']!="" && $column['behavior']=="top_image") :

					  echo '<div class="col-image' ;
					  echo trim($element[6])=="yes" ? ' hasBoxBG ' : '">';
					  	echo $this->imageDisplay( array( "src" => $column['img_src'] , "height" => 200 , "width" => $cw, "parent_wrap" => false ));
					  echo '</div>';

					  endif; ?>


                    <div class="description <?php if($column['img_src']!="" && $column['behavior']=="top_image") echo 'hasImage' ; ?>">


                       <div class="intro-fancy-title">
                          	<?php if($column['img_src']!="" && $column['behavior']=="icon") : echo "<p class='icon-image-l'><img src='".$column['img_src']."' alt='icon'  /></p>"; endif; ?>
                            <?php if($column['img_src']!="" && $column['behavior']=="icon_lib") : echo "<p class='icon-lib-image'>".do_shortcode(stripslashes($column['img_src']))."</p>"; endif; ?>

                         <div class="clearfix">
						    <?php if($column['title']!="") : ?>  <h2 class="custom-font"><?php echo $this->format($column['title'],false,false,false); ?></h2>  <?php endif; ?>
                          	<?php if($column['subtitle']!="") : ?>  <h6 class="custom-font"><?php echo $this->format($column['subtitle'],false,false,false); ?></h6>  <?php endif; ?>
                          </div>
                        </div>
                        <div class="column-content clearfix">

							<?php echo $this->format($column['text'],false,true,false); ?>
                        </div>
                    </div>
                </div>

				<?php
				$i++;
			}
			echo '</div></div></div>';
			break;


		  case 'three-columns' :
			$i=0;
			$lazy_loading = $element[7] ? "has-lazyload" : "";
			echo ' <div class="home-page-three-columns editor-cols '.$lazy_loading.'">';
			 echo '<div class="skeleton clearfix"><div class="column-inner-wrapper clearfix">'; ?>

         <?php if(trim($element[3])!="") : ?>
             <div class="section-title">
          <?php if(trim($element[3])!="") : ?>	 	<h2 class="custom-font"><?php echo $this->format($element[3],false,false,false); ?></h2>  <?php endif; ?>
          <?php if(trim($element[4])!="") : ?>	 	<h3 class="custom-font"><?php echo $this->format($element[4],false,false,false); ?></h3>  <?php endif; ?>
         </div>
         <?php endif; ?>

         <?php

			$layouts = explode(",",$element[2]); $cw = 300;
			foreach($element[1] as $column)
			{
				$cw = 1160; $ch = 250;

			switch($layouts[$i])
			{
				case 'two_third' : case 'two_third_last' : $cw = 694; $ch = 250; break;
				case 'one_third' : case 'one_third_last': $cw = 324; $ch = 250; break;
				case 'one_half' : case 'one_half_last': $cw = 510; $ch = 250; break;
				case 'three_fourth' : case 'three_fourth_last': $cw = 845; $ch = 250; break;
				case 'one_fourth' : case 'one_fourth_last': $cw = 255; $ch = 250; break;
				case "one_fifth" :  case "one_fifth_last"  :  $cw =196;  break;
				case "four_fifth" :  case "four_fifth_last"  :  $cw =900;  break;
			}

				?>



				<div class="<?php echo $layouts[$i]; ?> layout_element clearfix content-block ">


                       <?php if($column['img_src']!="" && $column['behavior']=="top_image") :

					  echo '<div class="col-image' ;
					  echo trim($element[6])=="yes" ? ' hasBoxBG ' : '">';
					  	echo $this->imageDisplay( array( "src" => $column['img_src'] , "height" => 200 , "width" => $cw, "parent_wrap" => false ));
					  echo '</div>';
					  endif;
					  ?>


                    <div class="description <?php if($column['img_src']!="" && $column['behavior']=="top_image") echo 'hasImage' ; ?>">


                       <div class="intro-fancy-title">
                          	<?php if($column['img_src']!="" && $column['behavior']=="icon") : echo "<p class='icon-image-l'><img src='".$column['img_src']."' alt='icon'  /></p>"; endif; ?>
                            <?php if($column['img_src']!="" && $column['behavior']=="icon_lib") : echo "<p class='icon-lib-image'>".do_shortcode(stripslashes($column['img_src']))."</p>"; endif; ?>

                         <div class="clearfix">
						    <?php if($column['title']!="") : ?>  <h2 class="custom-font"><?php echo $this->format($column['title'],false,false,false); ?></h2>  <?php endif; ?>
                          	<?php if($column['subtitle']!="") : ?>  <h6 class="custom-font"><?php echo $this->format($column['subtitle'],false,false,false); ?></h6>  <?php endif; ?>
                          </div>
                        </div>


                        <div class="column-content">
                            <?php echo $this->format($column['text']); ?>
                        </div>
                    </div>

                </div>

				<?php
				$i++;
			}
			echo '</div></div></div>';
			break;

		 case 'four-columns' :
			$i=0;
			$lazy_loading = $element[7] ? "has-lazyload" : "";
			echo ' <div class="home-page-four-columns editor-cols '.$lazy_loading.'">';

			echo '<div class="skeleton clearfix"><div class="column-inner-wrapper clearfix">';
			?>

            <?php if(trim($element[3])!="") : ?>
             <div class="section-title">
          <?php if(trim($element[3])!="") : ?>	 	<h2 class="custom-font"><?php echo $this->format($element[3],false,false,false); ?></h2>  <?php endif; ?>
          <?php if(trim($element[4])!="") : ?>	 	<h3 class="custom-font"><?php echo $this->format($element[4],false,false,false); ?></h3>  <?php endif; ?>
         </div>
         <?php endif; ?>

		 <?php
		 	if ($element[1]) {
			foreach($element[1] as $column)
			{
				$cw = 235; $ch = 125;

				?>



				<div class="one_fourth<?php if($i==count($element[1])-1) echo '_last';   ?> layout_element clearfix">


                     <?php if($column['img_src']!="" && $column['behavior']=="top_image") :
					  echo '<div class="col-image' ;
					  echo trim($element[6])=="yes" ? ' hasBoxBG ' : '">';
					  	echo $this->imageDisplay( array( "src" => $column['img_src'] , "height" => 200 , "width" => $cw, "parent_wrap" => false ));
					  	echo "</div>";
					  endif;
					  ?>

                    <div class="description <?php if($column['img_src']!="" && $column['behavior']=="top_image") echo 'hasImage' ; ?>">


                       <div class="intro-fancy-title">
                          	<?php if($column['img_src']!="" && $column['behavior']=="icon") : echo "<p class='icon-image-l'><img src='".$column['img_src']."' alt='icon'  />derp</p>"; endif; ?>
                            <?php if($column['img_src']!="" && $column['behavior']=="icon_lib") : echo "<p class='icon-lib-image'>".do_shortcode(stripslashes($column['img_src']))."</p>"; endif; ?>

                         <div class="clearfix">
						    <?php if($column['title']!="") : ?>  <h2 class="custom-font"><?php echo $this->format($column['title'],false,false,false); ?></h2>  <?php endif; ?>
                          	<?php if($column['subtitle']!="") : ?>  <h6 class="custom-font"><?php echo $this->format($column['subtitle'],false,false,false); ?></h6>  <?php endif; ?>
                          </div>
                        </div>

                        <div class="column-content">
                            <?php echo $this->format($column['text']); ?>
                        </div>
                    </div>
                </div>

				<?php
				$i++;
				}
			}
			echo '</div></div></div>';
			break;

		 case 'full-width' :
		$data = $element[1];
		$lazy_loading = $data['lazy-loading'] ? "has-lazyload" : "";
		  ?>
		  <div class="full-width-text <?php echo $lazy_loading; ?> <?php echo $data['layout'].' '.$hasLayout; ?> ">


          <div class="  clearfix">
           <?php if(trim($data['mtitle'])!="") :?>
         <div class="section-title">
         	<h2 class="custom-font"><?php echo $this->format($data['mtitle'],false,false,false); ?></h2>
         </div>
         <?php endif; ?>

           <?php  echo $this->format($data['text']); ?>


           </div></div>
		  <?php

		 break;

		 case 'full-width-divider' :
		  ?>
		 <div class="separator"> <?php  if($element[1]=="icon") echo '<a href="">'.__("BACK TO TOP","h-framework").'</a>'; ?>  </div>
		  <?php
		 break;

		 case 'intro-text' :
		 $data = $element[1];
		 $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : "";
		 ?>
        <div class="blurb-parent-wrap <?php echo $lazy_loading ?> <?php echo $data['cta_style'] !='' ? 'cta_'.strtolower(str_replace(" ", "_", $data['cta_style'])) : 'cta_style_1'; ?>">
         <div class="blurb-wrapper  <?php echo $data['Layout'].' '.$hasLayout; ?>"> <!-- Blurb Wrapper -->
           <div class=" clearfix">
            <div class="inner-blurb-wrapper clearfix>">

            <div class="text_area">
           		<?php if($data['title']!="") : ?>	 <h3 class="blurb-text custom-font"><?php echo $this->format($data['title'],false,false,false); ?></h3>	<?php endif; ?>
            		 <p class="blurb-secondary-text "><?php echo $this->format($data['text'],false,false,false); ?></p>
            </div>


               <?php if($data['link']!="") : ?>
                    <p class="blurb-button">
                        <a href="<?php echo $data['link']; ?>" class="custom-font"><?php echo stripslashes($data['label']); ?></a>
                    </p>
               <?php endif ?>

            </div>
        </div></div> <!-- Blurb Wrapper Ends -->
		 </div>
		 <?php

		 break;

		  case 'custom-post' : $data = $element[1]; ?>

		  <?php $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : ""; ?>
		  <div class="layout-builder-posts clearfix <?php echo $lazy_loading; ?> <?php if(isset($data['Layout'])) {echo $data['Layout'].' '.$hasLayout;} ?>">

           <?php if(trim($data['title'])!="") :?>
               <div class="section-title">
                  <h2 class="custom-font"><?php echo stripslashes($data['title']); ?></h2>
               </div>
			<?php endif; ?>

			<?php if(trim($data['button_label'])!="") :?>
				<a href="<?php echo get_permalink($data['button_link']); ?>" class="more-btn"><?php echo $data['button_label']; ?></a>
			<?php endif; ?>

			<?php if ($data['folio-filter'] == 'yes' && $data['post_type'] == 'portfolio'): ?>
				<div class="portfolio-taxonomy layout-builder-taxonomy clearfix">
					<ul class="clearfix">
			          <li class="active"><a href="#">All</a></li>
			          <?php  wp_list_categories("&title_li=&taxonomy=portfoliocategories");  ?>
			        </ul>
			    </div>
			<?php endif ?>

          	<div class="clearfix posts-wrapper">

			<?php $i=0;
            $post_type = $data['post_type'];
           	$opts = array(

			'post_type' => $post_type,
			'posts_per_page' => $data['no_of_posts'],
			 'tax_query' =>  array(
				   array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => array('post-format-quote','post-format-aside','post-format-video','post-format-link'),
						'operator' => 'NOT IN'
					)
				)
			);

			if(isset( $data['category']) && trim( $data['category'])!="") :
				if($post_type=="post") $opts['category_name'] = $data['category'];
				else if($post_type=="portfolio") {
					$opts['portfoliocategories'] = $data['category'];
					$opts['tax'] = 'portfoliocategories';
				} else if($post_type=="gallery") {
					$opts['gallerycategories'] = $data['category'];
					$opts['tax'] = 'gallerycategories';
				}
			endif;

			$popPosts = new WP_Query($opts);
			$i = 0;

			$height = 327;
			if( isset($data['height']) ) $height = $data['height'];

			while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;  global $product;

				$portfolio_categories = null;

				$terms  = get_the_terms(get_the_ID(),'portfoliocategories');
					if ( !empty( $terms ) ) {
						$out = array();
						foreach ( $terms as $c )
						$portfolio_categories .=' '.str_replace(' ','_',$c->name);
					}
			?>

				<div class="post post-preview content-block one_third layout_element <?php echo $post_type=="portfolio" ? 'portfolio-post' : null; ?> <?php echo $data['post_bg'] == 'no' ? 'no-bg' : null; ?> <?php if($portfolio_categories){ echo $portfolio_categories; }; ?> ">

					<?php if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) : /* if post has post thumbnail */  ?>
						<div class="image">
							<?php
								$id = get_post_thumbnail_id();
								$ar = wp_get_attachment_image_src( $id , array(9999,9999) );
								echo $this->imageDisplay( array( "src" => $ar[0] , "height" => $height , "width" => 330, "link" => get_permalink() , 'imageAttr' => "alt='".get_the_title()."' class='post-image'" ));
							?>
							<a href='<?php the_permalink(); ?>' class='post-link'>Read More</a>

							<?php if($data['caption-overlay']!="no"):  ?>
								<section class='folio-overlay'>
									<header>
										<h2><?php the_title(); ?></h2>
									</header>
									<?php
										$content = get_the_content('');
										$content = apply_filters('the_content', $content);
										$content = str_replace(']]>', ']]&gt;', $content);
										echo "<p>".$this->getShortenContent( 100 ,  strip_tags( $content  ) )."</p>";
									?>

									<?php
										// lightbox
										if ($data['overlay-style'] == '1'):
											echo '<a href="'.$ar[0].'" title="'. get_the_title().'" class="lightbox">Open in lightbox</a>';
										endif;

										if ($data['overlay-style'] == '2'):
											echo '<a href="'.get_permalink().'" class="link">View</a>';
										endif;

										// both
										if ($data['overlay-style'] == '3'):
											echo '<a href="'.$ar[0].'" title="'. get_the_title().'" class="lightbox">Open in lightbox</a>';
											echo '<a href="'.get_permalink().'" class="link">View</a>';
										endif;
									?>
								</section>
							<?php endif;?>

						</div><!--image-->
					<?php endif; ?>

					<?php if($data['excerpt']!="no"):  ?>
						<div class="desc">
							<h2 class="custom-font"> <a class=""  href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h2>
							<?php if($post_type == 'post'): ?>
								<div class='post-meta'><?php the_time(get_option('date_format')); ?></div>
							<?php endif; ?>

							<p><?php   echo $this->getShortenContent(100,strip_shortcodes( strip_tags(get_the_content()) )); ?></p>
						<a href='<?php ?>' class='read-more'>More ›</a>
						</div>
					<?php endif; ?>
				</div>
			<?php  $i++; endwhile; ?>
		</div>
		</div>
		<?php break;

		case 'twitter' : $data = $element[1];   ?>
		<?php $lazy_loading = $data['lazy-loading'] ? "has-lazyload" : ""; ?>

        <div class="twitter-wrapper <?php echo $lazy_loading ?>">
         <h2 class="custom-font"><?php echo $data['title']; ?></h2>
        <div class="twitter ">
       		<?php echo do_shortcode("[tweets username='".$data['username']."' count='1']"); ?>
        </div>

        </div>

		<?php
		break;


		case 'page-post-content' : $data = $element[1];  $d =  get_post($data['id']); echo '<div class="home-page-content"><div class="skeleton clearfix">'.$this->format($d->post_content)."</div></div>" ; break;




		 }

		  if( (isset($element[1]['Layout']) &&  strpos ($element[1]['Layout'],"_last" )) || (isset($element[1]['layout']) &&  strpos ($element[1]['layout'],"_last" )) )
		  {
			   $beginClear = false; $hasLayout = ' skeleton ';
			  echo "</div></div>";
		  }
	 }
 }

  // == Admin Sidebars MetaBox ==========================

   function initadminSidebars()
   {

 // == Init Titan Editor Template



	  add_action("admin_init", "sidebar_admin_init");

	  function sidebar_admin_init(){

		   global $wpdb;

	      add_meta_box("exsidebar_credits_meta", "Layout Details", "exsidebar_credits_meta", "portfolio", "normal", "high");
		  add_meta_box("exsidebar_credits_meta", "Layout Details", "exsidebar_credits_meta", "post", "normal", "high");
		  add_meta_box("exsidebar_credits_meta", "Layout Details", "exsidebar_credits_meta", "page", "normal", "high");
		//  add_meta_box("exsidebar_credits_meta", "Layout Details", "exsidebar_credits_meta", "events", "normal", "high");
	  }



	  function exsidebar_credits_meta() {


	  	 global $post,$super_options;
	    $sidebar =  get_post_meta($post->ID,"_sidebar",true);
		$dy =  get_post_meta($post->ID,"_dynamic_sidebar",true);


		$titan_template =  get_post_meta($post->ID,"_titan_template",true);
		$page_style =  get_post_meta($post->ID,"_page_style",true);
		$main_slider =  get_post_meta($post->ID,"_main_slider",true);
		$slider_type =  get_post_meta($post->ID,"_slider_type",true);
	    $video_link =  get_post_meta($post->ID,"_video_link",true);
	     $featured_media =  get_post_meta($post->ID,"_featured_media",true);


	    if( $sidebar=="")
		{
			if($post->post_type=="post")
				if(isset($super_options[SN.'_post_layout']))  $sidebar = $super_options[SN.'_post_layout'];
			else
				if(isset($super_options[SN.'_page_layout'])) $sidebar = $super_options[SN.'_page_layout'];
		}
		if( $page_style=="")  $page_style = "Title";
		if( $main_slider=="")  $main_slider = "Select Slider";
		if( $slider_type=="")  $slider_type = "Select Slider Type";
	    if( $dy=="")  $dy = "Blog Sidebar";


		 global $wpdb;
	 $table_db_name = $wpdb->prefix . "teditor";
	 $templates =  $wpdb->get_results("SELECT id,title FROM $table_db_name ",ARRAY_A);

	 $table_db_name = $wpdb->prefix . "tslidermanager";
	 $sliders =  $wpdb->get_results("SELECT * FROM $table_db_name ",ARRAY_A);



	      ?>

	    <div class="hades-layout clearfix" >



          <div id="supersidebars">

           <?php if($post->post_type!="portfolio") : ?>

          <h2> <?php _e('Page Layout','h-framework'); ?> </h2>
            <ul class="clearfix">
              <li class="full-width">
                <label for="full-width"></label><input type="radio" id="full-width" name="super_sidebar" value="full-width" <?php if($sidebar=="full-width") echo "checked='checked'"; ?> /></li>
              <li class="hasLeftSidebar">
                <label for="hasLeftSidebar"></label><input type="radio" id="hasLeftSidebar" name="super_sidebar" value="hasLeftSidebar" <?php if($sidebar=="hasLeftSidebar") echo "checked='checked'"; ?> /></li>
              <li class="hasRightSidebar">
                <label for="hasRightSidebar"></label><input type="radio" id="hasRightSidebar" name="super_sidebar" value="hasRightSidebar" <?php if($sidebar=="hasRightSidebar") echo "checked='checked'"; ?> /></li>


            </ul>

           <h2> <?php _e('Select Sidebar','h-framework'); ?> </h2>

            <?php
			 $active_sidebars = get_option(SN."_active_sidebars");

			?>

        <div class="hades_input clearfix">

          <label for="dynamic_sidebar"> <?php _e('Sidebar','h-framework'); ?> </label>
         <div class="select-wrapper">
        <select name="dynamic_sidebar" id="dynamic_sidebar">

        <?php
		if(!is_array($active_sidebars)) $active_sidebars = array();
		$active_sidebars[] = "Blog Sidebar";

		foreach($active_sidebars as $bar)
		{
			if( $dy == $bar )
			echo "<option selected='selected' value='$bar'>{$bar}</option>";
			else
			echo "<option value='$bar'>{$bar}</option>";
		}

		?>
        </select>
        </div>

        </div>



         <div class="hades_input clearfix">

          <label for="dynamic_sidebar2"> <?php _e('Titan Template ( It will override Content from Editor )','h-framework'); ?> </label>
         <div class="select-wrapper">
        <select name="titan_template" id="titan_template">
       	<option value='none'>None</option>
        <?php

		foreach($templates as $template)
		{
			if( $titan_template == $template['id'] )
			echo "<option selected='selected' value='$template[id]'>".$template['title']."</option>";
			else
			echo "<option value='$template[id]'>".$template['title']."</option>";
		}

		?>
        </select>
        </div>

        </div>

		<div class="hades_input clearfix">

			<label for="dynamic_sidebar2"> <?php _e('Select Page Style','h-framework'); ?> </label>
			<div class="select-wrapper">
				<select name="page_style" id="page_style">
					<?php if (isset($page_style)): ?>
						<option><?php echo $page_style; ?></option>
					<?php endif ?>
					<option>Title</option>
					<option>Blank</option>
					<option>Slider</option>
					<?php if ($post->post_type == "portfolio"): ?> <option>Slideshow</option> <?php endif; ?>
				</select>
			</div>

		</div>

		<div class="hades_input clearfix slider-wrapper">

			<?php
				global $wpdb;
				$table_db_name = $wpdb->prefix . "revslider_sliders";
				$sliders =  $wpdb->get_results("SELECT * FROM $table_db_name ",ARRAY_A);
			?>

			<label for="dynamic_sidebar2"> <?php _e('Slider','h-framework'); ?> </label>
			<div class="select-wrapper">
				<select name="main_slider" id="main_slider">
					<?php if (isset($main_slider)): ?>
						<option><?php echo $main_slider; ?></option>
					<?php endif ?>
					<?php

						if(!is_array($sliders)) $sliders = array("No sliders created yet.");

						foreach($sliders as $slider) {
							echo "<option>{$slider[title]}</option>";
						}

					?>
				</select>
			</div>

		</div>

		<div class="hades_input clearfix slider-wrapper">

			<label for="dynamic_sidebar2"> <?php _e('Slider Width','h-framework'); ?> </label>
			<div class="select-wrapper">
				<select name="slider_type" id="slider_type">
					<?php if (isset($slider_type)): ?>
						<option><?php echo $slider_type; ?></option>
					<?php endif ?>
					<option>Full Width</option>
					<option>Fixed Width</option>
				</select>
			</div>

		</div>

		<?php endif; //end of not portfolio check ?>

		<?php if($post->post_type=="portfolio") : ?>

			<div class="hades_input clearfix">

				<label for="dynamic_sidebar2"> <?php _e('Select Featured Media','h-framework'); ?> </label>
				<div class="select-wrapper">
					<select name="featured_media" id="featured_media">

					<?php
						$media = array( "none" => "None" , "featured-image" => "Featured Image" ,"video" => "Video");

						if( $post->post_type!="post" && $post->post_type!="page" )  $media["slideshow"] = "Slideshow" ;

						foreach($media as $key => $item)
						{

							if( $featured_media == $key )
							echo "<option selected='selected' value='$key'>{$item}</option>";
							else
							echo "<option value='$key'>{$item}</option>";

						}

					?>
					</select>
				</div>

			</div>


			<div class="hades_input clearfix">
				<label for="dynamic_sidebar2"> <?php _e('Video Link ( To activate select video in featured media)','h-framework'); ?> </label>
				<input type="text" value="<?php echo $video_link ?>" name="video_link" />
			</div>
		<?php endif; //end of portfolio check ?>

	    </div>

        </div>
	   <?php


	  }


	  add_action('save_post', 'exsidebar_save_details');

	  function exsidebar_save_details(){
	  global $post;
	  if(isset($_POST["super_sidebar"]))
	  update_post_meta($post->ID,"_sidebar",$_POST["super_sidebar"]);
	  if(isset($_POST["dynamic_sidebar"]))
	  update_post_meta($post->ID,"_dynamic_sidebar",$_POST["dynamic_sidebar"]);


		if(isset($_POST["titan_template"]))
		update_post_meta($post->ID,"_titan_template",$_POST["titan_template"]);

		if(isset($_POST["page_style"]))
		update_post_meta($post->ID,"_page_style",$_POST["page_style"]);

		if(isset($_POST["main_slider"]))
		update_post_meta($post->ID,"_main_slider",$_POST["main_slider"]);

		if(isset($_POST["slider_type"]))
		update_post_meta($post->ID,"_slider_type",$_POST["slider_type"]);

		if(isset($_POST["video_link"]))
		update_post_meta($post->ID,"_video_link",$_POST["video_link"]);

	if(isset($_POST["featured_media"]))
		update_post_meta($post->ID,"_featured_media",$_POST["featured_media"]);

	  }


   }


   // == Admin Portfolio Template MetaBox ==========================

   function initAdminPortfolioFilter()
   {


	  add_action("admin_init", "portfoliofilter_admin_init");

	  function portfoliofilter_admin_init(){  add_meta_box("portfoliofilter_credits_meta", "Portfolio Filters", "portfoliofilter_credits_meta", "page", "normal", "low"); 		 }
	  function portfoliofilter_credits_meta() {
	      global $post;
	    $meta_filter =  get_post_meta($post->ID,"_meta_filter",true);
		$fl =  get_post_meta($post->ID,"_portfolio_filter",true);
		$live =  get_post_meta($post->ID,"_live_filter",true);
		$order =  get_post_meta($post->ID,"_order",true);
	  if($order =="") $order  ="ASC";
	  if($live=="") $live = "yes";
	  if(!is_array($fl)) $fl = array();


	      ?>

	    <div class="hades-layout" >

          <div id="portfolio-filters">

         <div class="hades_input clearfix">

       		 <label for="portfolio_filter"> <?php _e('Select Categories to include( If empty all categories will be included)','h-framework'); ?> </label>

                <div  class="btn-group checks" data-toggle="buttons-checkbox">
                	 <?php

                            $temp = get_terms('portfoliocategories');


							$terms  = array();

							foreach($temp as $t)
							{
								$terms[$t->slug] = $t->name;

							}

							$i = 0;

                            foreach($terms as $key => $term)
                            {
                               if( in_array($key,$fl) )
                                echo "<label for='check{$i}' class='btn active'>{$term}</label><input type='checkbox' value='$key' id='check{$i}' name=\"portfolio_filter[]\" checked='checked' >";
                              else
                               echo "<label for='check{$i}' class='btn'>{$term}</label><input type='checkbox' value='$key' id='check{$i}' name=\"portfolio_filter[]\" >";

							   $i++;
                            }

                   	  ?><input type="hidden" name="portfolio_filter[]" value="" />
                </div>

        </div>


        <div class="hades_input clearfix">

       		 <label for="portfolio_filter"> <?php _e('Select Order','h-framework'); ?> </label>

                <div  class="btn-group radio-f" data-toggle="buttons-radio">

                	 <?php


							$terms  = array("none" => "None","title" => "Title","date" => "Date","rand"=>"Random","author"=>"Author");



							$i = 2230;

                            foreach($terms as $key => $term)
                            {
                               if( $key == $meta_filter )
                                echo "<label for='check{$i}' class='btn active'>{$term}</label><input type='radio' value='$key' id='check{$i}' name=\"meta_filter\" checked='checked' >";
                              else
                               echo "<label for='check{$i}' class='btn'>{$term}</label><input type='radio' value='$key' id='check{$i}' name=\"meta_filter\" >";

							   $i++;
                            }

                   	  ?>
                </div>

        </div>


        <div class="hades_input clearfix">
        	<label for="order"> Order by - </label>
            <div class="radio">
            	<label for="order1">Ascending</label><input type="radio" id="order1" name="order" value="ASC" <?php if($order=="ASC") echo 'checked="checked"'; ?> />
                <label for="order2">Descending</label><input type="radio" id="order2" name="order" value="DESC" <?php if($order=="DESC") echo 'checked="checked"'; ?> />
            </div>

        </div>


        <div class="hades_input clearfix">
        	<label for="live_filter"> Live Animated Filtering Yes/No </label>
            <div class="radio">
            	<label for="live_filter1">Yes</label><input type="radio" id="live_filter1" name="live_filter" value="Yes" <?php if($live=="Yes") echo 'checked="checked"'; ?> />
                <label for="live_filter2">No</label><input type="radio" id="live_filter2" name="live_filter" value="No" <?php if($live=="No") echo 'checked="checked"'; ?> />
            </div>

        </div>



          </div>

	    </div>
	   <?php
	  }

	  add_action('save_post', 'portfoliofilter_save_details');

	  function portfoliofilter_save_details(){
	  global $post;




		if(isset($_POST["meta_filter"]))   update_post_meta($post->ID,"_meta_filter",$_POST["meta_filter"]);
		if(isset($_POST["portfolio_filter"]))   update_post_meta($post->ID,"_portfolio_filter",$_POST["portfolio_filter"]);
		if(isset($_POST["live_filter"]))   update_post_meta($post->ID,"_live_filter",$_POST["live_filter"]);
		if(isset($_POST["order"]))   update_post_meta($post->ID,"_order",$_POST["order"]);

	  }

	 add_action("admin_init", "portfoliofilter_admin_init");
   }




    // == Dynamic CSS ================================

  function dynamicCSS() {


	 // == Custom Google web font ==================================




	  // Adding dynamic css and js through wp head ===============================

	  function nestedFunc()
	  {
		  global $super_options;

		  // == Body font options ===============

		   $bodyfont = "PT Sans";  $body_bd_size =  "12"  ;  $introfont =  "PT Sans" ; $font_option =  "Google Webfonts" ; $customfont =  "PT Sans" ;

		  if( isset( $super_options[SN.'_body_font']) )
		  $bodyfont = ($super_options[SN.'_body_font']=="") ? "PT Sans" : $super_options[SN.'_body_font'];
		  $body_font_unit = "px" ;
		    if( isset( $super_options[SN.'_bd_size']) )
		  $body_bd_size = ($super_options[SN.'_bd_size']=="") ? "12" : $super_options[SN.'_bd_size'];

		  // == Custom font css code ==============

		    if( isset( $super_options[SN.'_toggle_custom_font']) )
		  $font_option = (!$super_options[SN."_toggle_custom_font"]) ? "Google Webfonts" : $super_options[SN."_toggle_custom_font"];

		     if( isset( $super_options[SN.'_bcustom_font']) )
		  $introfont = ($super_options[SN.'_bcustom_font']=="") ? "PT Sans" : $super_options[SN.'_bcustom_font'];

		  if($font_option=="Google Webfonts") :

		     if( isset( $super_options[SN.'_custom_font']) )
		  $customfont = ($super_options[SN.'_custom_font']=="") ? "PT Sans" : $super_options[SN.'_custom_font'];
		  $customfont = ".custom-font , #menu-bar .menu>li>a, #footer-menu .menu>li>a {  font-family: '".$customfont."', sans-serif; }";

		  if( isset( $super_options[SN.'_custom_g_font_enable']) && $super_options[SN.'_custom_g_font_enable']=="true")
		  {
		    $customfont = ($super_options[SN.'_custom_g_font']=="") ? "PT Sans" : $super_options[SN.'_custom_g_font'];
		    $customfont = ".custom-font , #menu-bar .menu>li>a, #footer-menu .menu>li>a {  font-family: '".$customfont."', sans-serif; }";
		  }
		  endif;

		  // == Cufon Call ===========================

		  if($font_option=="Cufon") :
		    $script = "<script type='text/javascript'>
	        	Cufon.replace('.custom-font');
		   		 </script> ";
	         echo $script;
		  endif;

		  $h1 = $super_options[SN."_h1_font_size"];
		  $h1 = (!$h1) ? "36px" : $h1."px";

		  $h2 =  $super_options[SN."_h2_font_size"];
		  $h2 = (!$h2) ? "32px" : $h2."px";

		  $h3 =  $super_options[SN."_h3_font_size"];
		  $h3 = (!$h3) ? "28px" : $h3."px";

		  $h4 =  $super_options[SN."_h4_font_size"];
		  $h4 = (!$h4) ? "24px" : $h4."px";

		  $h5 =  $super_options[SN."_h5_font_size"];
		  $h5 = (!$h5) ? "18px" : $h5."px";

		  $h6 =  $super_options[SN."_h6_font_size"];
		  $h6 = (!$h6) ? "12px" : $h6."px";

		  $blog_posts_size =  $super_options[SN."_blog_post_size"];
		  $blog_posts_size = (!$blog_posts_size) ? "19px" : $blog_posts_size."px";



		$portfolio1_title_size =  (isset($super_options[SN."_portfolio1_title_size"]) && !$super_options[SN."_portfolio1_title_size"]) ? "18px" : $super_options[SN."_portfolio1_title_size"]."px";
		$portfolio2_title_size =  (isset($super_options[SN."_portfolio2_title_size"]) && !$super_options[SN."_portfolio2_title_size"]) ? "18px" : $super_options[SN."_portfolio2_title_size"]."px";
		$portfolio3_title_size =  (isset($super_options[SN."_portfolio3_title_size"]) && !$super_options[SN."_portfolio3_title_size"]) ? "18px" : $super_options[SN."_portfolio3_title_size"]."px";
		$portfolio4_title_size =  (isset($super_options[SN."_portfolio4_title_size"]) && !$super_options[SN."_portfolio4_title_size"]) ? "18px" : $super_options[SN."_portfolio4_title_size"]."px";



		  $dyanmic_css = $super_options[SN."_custom_css"];



		  // Thunder mutation code ========================


		  if( isset($super_options[SN."_header_texture"]) && ($super_options[SN."_header_texture"]!="none" && $super_options[SN."_header_texture"]!="") || $super_options[SN."_bg_custom"]=="true" ) {
		     $bg_opt = "background-image:url(".URL."/sprites/textures/".$super_options[SN."_header_texture"].".png)";


		  $bg_repeat = $super_options[SN."_bg_repeat"];
		  $bg_position = $super_options[SN."_bg_position"];
		  $bg_attachment = $super_options[SN."_bg_attachment"];
		  if($super_options[SN."_bg_custom"]=="true")  $bg_opt = "background-image:url(".$super_options[SN."_bg_custom_texture"].")";
			}
		   else
		     $bg_opt = $bg_repeat = $bg_position = $bg_attachment ='';

		 if (isset($super_options[SN."_bg_color"])) { $bg_color = $super_options[SN."_bg_color"]; }

		  $code = "<style type='text/css'>
						body , .content {  font-family: '".$bodyfont."', Helvetica , Arial , sans-serif;
						font-size:{$body_bd_size}{$body_font_unit};


						}
					div.bg-texture {
						 {$bg_opt};
			  background-repeat:$bg_repeat;
			  background-position: $bg_position;
			  background-attachment: $bg_attachment;
			  background-color:#".$bg_color."
			   }


					.blurb-wrapper h3.blurb-text  { font-family: '".$introfont."', Helvetica , Arial , sans-serif;  }
						$customfont



						/* == ~~ This is the dynamic CSS ==================== */
						$dyanmic_css
						/* == ~~ End of dynamic CSS ========================= */

						 .content h1 { font-size:$h1;   }
						 .content h2 { font-size:$h2;  }
						 .content h3 { font-size:$h3;  }
						 .content h4 { font-size:$h4; }
						 .content h5 { font-size:$h5;  }
						 .content h6 { font-size:$h6; }

						  div.blog-template ul.posts li h2.custom-font  a { font-size:$blog_posts_size;  }
						 .portfolio-template .portfolio-one-column  ul.posts li h2 a { font-size: $portfolio1_title_size;  }
						 .portfolio-template .portfolio-two-column  ul.posts li h2 a { font-size:$portfolio2_title_size;  }
						 .portfolio-template .portfolio-three-column  ul.posts li h2 a { font-size:$portfolio3_title_size;  }
						 .portfolio-template .portfolio-four-column  ul.posts li h2 a { font-size:$portfolio4_title_size;  }


			  	  </style>" ;

		  echo $code;
	  }
	  add_action('wp_head','nestedFunc',10,1);


	  }


    // == Social Stuff =====================

  function socialStuff() {
	  global $super_options;
	   $option = (!$super_options[SN.'_social_set_style']) ? "Style 1" :  $super_options[SN.'_social_set_style']; ?>


<?php switch($option) { case "Style 1" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a class="addthis_button_preferred_1"></a>
<a class="addthis_button_preferred_2"></a>
<a class="addthis_button_preferred_3"></a>
<a class="addthis_button_preferred_4"></a>
<a class="addthis_button_compact"></a>
<a class="addthis_counter addthis_bubble_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1030e64fcdf96b"></script>
<!-- AddThis Button END -->

<?php break;  case "Style 2" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style addthis_32x32_style">
<a class="addthis_button_preferred_1"></a>
<a class="addthis_button_preferred_2"></a>
<a class="addthis_button_preferred_3"></a>
<a class="addthis_button_preferred_4"></a>
<a class="addthis_button_compact"></a>
<a class="addthis_counter addthis_bubble_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab8527e22cf18"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 3" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
<a class="addthis_button_tweet"></a>
<a class="addthis_counter addthis_pill_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab85c4609993a"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 4" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a class="addthis_button_google_plusone"></a>
<a class="addthis_counter addthis_pill_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab864700d5749"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 5" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a href="http://www.addthis.com/bookmark.php?v=250&amp;pubid=xa-4e1ab86d72fcad27" class="addthis_button_compact">Share</a>
<span class="addthis_separator">|</span>
<a class="addthis_button_preferred_1"></a>
<a class="addthis_button_preferred_2"></a>
<a class="addthis_button_preferred_3"></a>
<a class="addthis_button_preferred_4"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab86d72fcad27"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 6" : ?>
<!-- AddThis Button BEGIN -->
<a class="addthis_button" href="http://www.addthis.com/bookmark.php?v=250&amp;pubid=xa-4e1ab8776cec852d"><img src="http://s7.addthis.com/static/btn/v2/lg-share-en.gif" width="125" height="16" alt="Bookmark and Share" style="border:0"/></a>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab8776cec852d"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 7" : ?>
<!-- AddThis Button BEGIN -->
<a class="addthis_button" href="http://www.addthis.com/bookmark.php?v=250&amp;pubid=xa-4e1ab87e56d51201"><img src="http://s7.addthis.com/static/btn/sm-share-en.gif" width="83" height="16" alt="Bookmark and Share" style="border:0"/></a>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab87e56d51201"></script>
<!-- AddThis Button END -->
<?php break;  case "Style 8" : ?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
<a class="addthis_counter addthis_pill_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4e1ab886685d8c35"></script>
<!-- AddThis Button END -->
<?php break;  }

	  }


// == Height Based Resize =====================================


function hpresize($max_width,$max_height,$width,$height)
{
	$ratioh = $max_height/$height;
	$ratiow = $max_width/$width;
	$ratio = min($ratioh, $ratiow);
	// New dimensions
	$width = intval($ratiow*$width);
	$height = intval($ratiow*$height);
	return array( "width" => $width , "height" => $height  );
}


// == Pagination =====================================

 function pagination($pages = '', $range = 2)
  {
	  global $super_options;

	  $pagination_type = trim($super_options[SN."_pagination"]);

	if($pagination_type=="numbers") :

     $showitems = ($range * 2)+1;

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }

     if(1 != $pages)
     {
         echo "<div class='pagination clearfix'><ul  class=\"clearfix\">";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<li><a href='".get_pagenum_link(1)."'>&laquo;</a></li>";
         if($paged > 1 && $showitems < $pages) echo "<li><a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a></li>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<li class='active'><a>".$i."</a></li>":"<li><a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a></li>";
             }
         }

         if ($paged < $pages && $showitems < $pages) echo "<li><a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a></li>";
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<li><a href='".get_pagenum_link($pages)."'>&raquo;</a></li>";
         echo "</ul></div>\n";
     }

	 endif;

	 if($pagination_type=="next/previous") :

	 echo '<div class="pagination clearfix"><ul class="clearfix">';

	 echo '<li>';


	 previous_posts_link(__('Previous','h-framework'));
	 echo '</li><li>';
	 next_posts_link(__('Next','h-framework'));

	 echo '</li></ul></div>';

	 endif;

}

  // == Register Menus =====================================================

 public function registerMenus($menus)
	{


		  if ( function_exists( 'register_nav_menus' ) ) {

			  register_nav_menus($menus);
		  }
	}

 // == Breadcrumbs ==========================================================


 	public function breadcrumbs()
	{
		global $super_options;
		 $delimiter = $super_options[SN."_breadcrumb_delimiter"];
  $home =  $super_options[SN."_breadcrumb_home_label"]; // text for the 'Home' link
  $before = '<span class="current">'; // tag before the current crumb
  $after = '</span>'; // tag after the current crumb

  if ( !is_home() && !is_front_page() || is_paged() ) {

    echo '<div id="breadcrumbs"><div class="inner-breadcrumbs-wrapper skeleton clearfix">';

    global $post;
    $homeLink = home_url();
    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';

    if ( is_category() ) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
      echo $before . __('Archive by category ','h-framework').'"' . single_cat_title('', false) . '"' . $after;

    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('d') . $after;

    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('F') . $after;

    } elseif ( is_year() ) {
      echo $before . get_the_time('Y') . $after;

    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
        $post_type = get_post_type_object(get_post_type());
		$out = '';
        $slug = $post_type->rewrite;
        $ylink = $homeLink.'/'.$slug.'/';
		if($slug['slug']=="portfolio")
   		{
			 $terms  = get_the_terms($post->ID,'portfoliocategories');
				 if ( !empty( $terms ) ) {
		  			$out = '';
					foreach ( $terms as $c )
						$out = $c;

				}
				$ylink = get_term_link($out, 'portfoliocategories');
		}
		else if($slug['slug']=="gallery")
   		{
			 $terms  = get_the_terms($post->ID,'gallerycategories');
				 if ( !empty( $terms ) ) {
		  			$out = '';
					foreach ( $terms as $c )
						$out = $c;

				}
				$ylink = get_term_link($out, 'gallerycategories');
		}

		if($out)
		echo '<a href="' .$ylink . '">' . $out->name . '</a> ' . $delimiter . ' ';

		echo $before . get_the_title() . $after;


      } else {
        $cat = get_the_category(); $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo $before . get_the_title() . $after;
      }

    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $post_type = get_post_type_object(get_post_type());
      echo $before . $post_type->labels->singular_name . $after;

    } elseif ( is_attachment() ) {
      $parent = get_post($post->post_parent);
      $cat = get_the_category($parent->ID); $cat = $cat[0];
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
      echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
      echo $before . get_the_title() . $after;

    } elseif ( is_page() && !$post->post_parent ) {
      echo $before . get_the_title() . $after;

    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
      echo $before . get_the_title() . $after;

    } elseif ( is_search() ) {
      echo $before . __('Search results for ','h-framework').'"' . get_search_query() . '"' . $after;

    } elseif ( is_tag() ) {
      echo $before . __('Posts tagged','h-framework').' "' . single_tag_title('', false) . '"' . $after;

    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $before . __( 'Articles posted by ','h-framework') . $userdata->display_name . $after;

    } elseif ( is_404() ) {
      echo $before . __('Error 404','h-framework') . $after;
    }

    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page','h-framework') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }

    echo '</div></div>';

  }
	}

} // End of Class

}

$helper = new Helper();


// == Create databases ======================================================




function teditor_install () {
   global $wpdb;
   $teditor_db_version = "0.1";

   $table_name = $wpdb->prefix . "teditor";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {

      $sql = "CREATE TABLE " . $table_name . " (
	  id varchar(40) NOT NULL ,
	  title varchar(500),
	  layout LONGTEXT,
	  options text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);

	  $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  $wpdb->query($alter_charset);

	  $inp = "INSERT INTO $table_name values('1','Home','','')";
	  dbDelta($inp);

      add_option("teditor_db_version", $teditor_db_version);

   }
   else
   {
	   $installed_ver = get_option( "teditor_db_version" );

   if( $installed_ver != "0.1" ) {

     $sql = "CREATE TABLE " . $table_name . " (
	  id varchar(40) NOT NULL ,
	  title varchar(500),
	  layout LONGTEXT,
	  options text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);
	  $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  $wpdb->query($alter_charset);


      update_option( "teditor_db_version", $teditor_db_version);
  }
   }
}


function tslider_manager_install () {
   global $wpdb;
   $tslidermanager = "0.1";

   $table_name = $wpdb->prefix . "tslidermanager";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {

      $sql = "CREATE TABLE " . $table_name . " (
	  id varchar(40) NOT NULL ,
	  slides LONGTEXT,
	  options text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);

	  $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  $wpdb->query($alter_charset);

	  $inp = "INSERT INTO $table_name values('1','','')";
	  dbDelta($inp);

      add_option("tslidermanager_db_version", $tslidermanager);

   }
   else
   {
	   $installed_ver = get_option( "tslidermanager_db_version" );

   if( $installed_ver != "0.1" ) {

     $sql = "CREATE TABLE " . $table_name . " (
	  id varchar(40) NOT NULL ,
	  slides LONGTEXT,
	  options text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);
	  $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  $wpdb->query($alter_charset);


      update_option( "tslidermanager_db_version", $tslidermanager);
  }
   }
}

// == Hook to trigger some modules on theme activation =========================


function my_theme_activate() {

   update_option("SN",SN);
   teditor_install (); // ~~ ======== install Titan Editor DB ~~

   header("Location: admin.php?page=hades&action=save&activation=true");


}

wp_register_theme_activation_hook('Hades_Plus', 'my_theme_activate');

function wp_register_theme_activation_hook($code, $function) {
    $optionKey="theme_is_activated_" . $code;
    if(!get_option($optionKey)) {
        call_user_func($function);
        update_option($optionKey , 1);
    }
}

 function my_theme_deactivate() {
    // code to execute on theme deactivation
 }

wp_register_theme_deactivation_hook('Hades_Plus', 'my_theme_deactivate');
function wp_register_theme_deactivation_hook($code, $function) {
     $GLOBALS["wp_register_theme_deactivation_hook_function" . $code]=$function;
     $fn=create_function('$theme', ' call_user_func($GLOBALS["wp_register_theme_deactivation_hook_function' . $code . '"]); delete_option("theme_is_activated_' . $code. '");');
     add_action("switch_theme", $fn);
}


function mod_get_adjacent_post($direction = 'prev', $post_types = 'post') {
    global $post, $wpdb;

    if(empty($post)) return NULL;
    if(!$post_types) return NULL;

    if(is_array($post_types)){
        $txt = '';
        for($i = 0; $i <= count($post_types) - 1; $i++){
            $txt .= "'".$post_types[$i]."'";
            if($i != count($post_types) - 1) $txt .= ', ';
        }
        $post_types = $txt;
    }

    $current_post_date = $post->post_date;

    $join = '';
    $in_same_cat = FALSE;
    $excluded_categories = '';
    $adjacent = $direction == 'prev' ? 'previous' : 'next';
    $op = $direction == 'prev' ? '<' : '>';
    $order = $direction == 'prev' ? 'DESC' : 'ASC';

    $join  = apply_filters( "get_{$adjacent}_post_join", $join, $in_same_cat, $excluded_categories );
    $where = apply_filters( "get_{$adjacent}_post_where", $wpdb->prepare("WHERE p.post_date $op %s AND p.post_type IN({$post_types}) AND p.post_status = 'publish'", $current_post_date), $in_same_cat, $excluded_categories );
    $sort  = apply_filters( "get_{$adjacent}_post_sort", "ORDER BY p.post_date $order LIMIT 1" );

    $query = "SELECT p.* FROM $wpdb->posts AS p $join $where $sort";
    $query_key = 'adjacent_post_' . md5($query);
    $result = wp_cache_get($query_key, 'counts');
    if ( false !== $result )
        return $result;

    $result = $wpdb->get_row("SELECT p.* FROM $wpdb->posts AS p $join $where $sort");
    if ( null === $result )
        $result = '';

    wp_cache_set($query_key, $result, 'counts');
    return $result;
}
wp_oembed_add_provider('#https?://(?:api\.)?soundcloud\.com/.*#i', 'http://soundcloud.com/oembed', true);


add_action( 'tgmpa_register', 'hades_activate_preplugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
function hades_activate_preplugins() {

	/**
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		array(
			'name'     				=> 'Revolution Plugin', // The plugin name
			'slug'     				=> 'revslider', // The plugin slug (typically the folder name)
			'source'   				=> HPATH . '/helper/plugin_files/revslider.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> 'http://codecanyon.net/item/slider-revolution-responsive-wordpress-plugin/2751380', // If set, overrides default API URL and points to an external URL
		),

		array(
			'name'     				=> 'Contact Form 7', // The plugin name
			'slug'     				=> 'contact-form-7', // The plugin slug (typically the folder name)
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
		),

		array(
			'name'     				=> 'Titan Shortcodes V2', // The plugin name
			'slug'     				=> 'titan_shortcodes_v2', // The plugin slug (typically the folder name)
			'source'   				=> HPATH . '/helper/plugin_files/titan_shortcodes_v2.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),

		array(
			'name'     				=> 'WPTitan Tables', // The plugin name
			'slug'     				=> 'titan_tables', // The plugin slug (typically the folder name)
			'source'   				=> HPATH . '/helper/plugin_files/titan_tables.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		)

	);

	// Change this to your theme text domain, used for internationalising strings
	$theme_text_domain = 'h-framework';

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'domain'       		=> $theme_text_domain,         	// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
		'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> __( 'Install Required Plugins', $theme_text_domain ),
			'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
			'installing'                       			=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
			'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
			'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
			'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
			'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
			'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
			'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
			'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
			'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
			'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
			'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);

	tgmpa( $plugins, $config );

}