<?php

/* ======================================================================= */
/* == Widgets ============================================================ */
/* ======================================================================= */

/*

Author - WPTitans
Description - Contains all the widgets used by the hades framework.

*/

if(!defined('HPATH'))
die(' The File cannot be accessed directly ');




// == Custom Box ============================

class CustomBoxWidget extends WP_Widget {

	function CustomBoxWidget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'CustomBox', 'description' => __(' Create a custom text box with read more link and image.','h-framework') );

		/* Widget control settings. */
		$control_ops = array(  );
		 parent::WP_Widget(false,__("CustomBox",'h-framework'),$widget_ops,$control_ops); }

	function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['link']= $new_instance['link'];
			$instance['label']= $new_instance['label'];
			$instance['description']= $new_instance['description'];
			$instance['title']= strip_tags($new_instance['title']);
			$instance['intro_image_link']= strip_tags($new_instance['intro_image_link']);
			return $instance;
	}
	function form($instance) {
		$link = $label = $description = $title = $intro_image_link = '';

		if(isset($instance['link'])) $link = esc_attr($instance['link']);
		if(isset($instance['label'])) $label = esc_attr($instance['label']);
		if(isset($instance['description'])) $description = $instance['description'];
		if(isset($instance['title'])) $title = esc_attr($instance['title']);
		if(isset($instance['intro_image_link'])) $intro_image_link = esc_attr($instance['intro_image_link']);

		if(trim($label)=="") $label = 'Read More';
		?>


       	 <p class="hades-custom ">
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $title; ?>" type="text" />
		</p>
         <div class="hades-custom ">
			<label for="<?php echo $this->get_field_id( 'intro_image_link' ); ?>"><?php _e('Intro Image Link: ( if empty image not will appear )', 'h-framework') ?></label>
            <div class="clearfix">
			<input class="widefat widget_text" id="<?php echo $this->get_field_id( 'intro_image_link' ); ?>" name="<?php echo $this->get_field_name( 'intro_image_link' ); ?>" value="<?php echo $intro_image_link; ?>" type="text" /> <a href="#" class="button image_upload" title="Add To Widget"> Upload </a>
            </div>
		</div>

		<!-- Embed Code: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'description' ); ?>"><?php _e('Text', 'h-framework') ?></label>
			<textarea  class="widefat" style="height:200px;" id="<?php echo $this->get_field_id( 'description' ); ?>" name="<?php echo $this->get_field_name( 'description' ); ?>"><?php echo  $description; ?></textarea>
		</p>

		 <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'link' ); ?>"><?php _e('Link:( if empty link will not appear )', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'link' ); ?>" name="<?php echo $this->get_field_name( 'link' ); ?>" value="<?php echo $link; ?>" type="text" />
		</p>

        <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'label' ); ?>"><?php _e('Label for button', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'label' ); ?>" name="<?php echo $this->get_field_name( 'label' ); ?>" value="<?php echo $label; ?>" type="text" />
		</p>

<?php

		 }
	function widget($args, $instance) {

	extract($args);

	$link = esc_attr($instance['link']);
	$label = esc_attr($instance['label']);
	$description = $instance['description'];
	$title = esc_attr($instance['title']);
	$intro_image_link = esc_attr($instance['intro_image_link']);

	echo $before_widget;
		if($title!="")
		echo $before_title." ".$instance['title'].$after_title;

	if(trim($intro_image_link)=="")
	$img = '';
	else
	$img = "<img src='{$intro_image_link}' alt='custom-box-image' />";

	echo " <div class='clearfix custom-box-content'> $img  ".wpautop($description)." </div>  ";

	if(trim($link)!="")
	echo "<a href='{$link}' class='more custom-font thunder_button'>$label </a>";

	echo  $after_widget;

		}

	}

add_action('widgets_init', create_function('', 'return
register_widget("CustomBoxWidget");'));

// == Twitter =================================================

/* == Twitter Widget ================================================= */

class Twitter_Widget extends WP_Widget {
    function __construct() {
        $params = array(
	    'description' => 'Display and cache recent tweets to your readers.',
	    'name' => 'Twitter Widget'
        );

        // id, name, params
        parent::__construct('Twitter_Widget', '', $params);
    }

    public function form($instance) {
        extract($instance);
        ?>

        <p>
	    <label for="<?php echo $this->get_field_id('title');?>">Title: </label>
	    <input type="text"
		class="widefat"
		id="<?php echo $this->get_field_id('title'); ?>"
		name="<?php echo $this->get_field_name('title'); ?>"
		value="<?php if ( isset($title) ) echo esc_attr($title); ?>" />
        </p>

        <p>
	    <label for="<?php echo $this->get_field_id('username'); ?>">Twitter Username:</label>

	    <input class="widefat"
		type="text"
		id="<?php echo $this->get_field_id('username'); ?>"
		name="<?php echo $this->get_field_name('username'); ?>"
		value="<?php if ( isset($username) ) echo esc_attr($username); ?>" />
        </p>

        <p>
	    <label for="<?php echo $this->get_field_id('tweet_count'); ?>">
		<?php _e('Number of Tweets to Retrieve:','h-framework'); ?>
	    </label>

	    <input
		type="number"
		class="widefat"
		style="width: 40px;"
		id="<?php echo $this->get_field_id('tweet_count');?>"
		name="<?php echo $this->get_field_name('tweet_count');?>"
		min="1"
		max="10"
		value="<?php echo !empty($tweet_count) ? $tweet_count : 5; ?>" />
        </p>
        <?php
    }

    // What the visitor sees...
    public function widget($args, $instance) {
		extract($instance);
        extract( $args );

        echo $before_widget;

			echo $before_title;
			    echo $title;
			echo $after_title;

			echo do_shortcode("[tweets username='".$username."' count='".$tweet_count."']");

        echo $after_widget;

    }



}

add_action('widgets_init', 'register_Twitter_Widget');
function register_Twitter_Widget()
{
    register_widget('Twitter_Widget');
}

/* == Super Post ============================== */


class SuperPost extends WP_Widget {

	function SuperPost() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'SuperPost', 'description' => __('Show Popular or Recent posts from Blog, Portfolio , Gallery and your dynamic custom posts.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 200);
		 parent::WP_Widget(false,__("Super Posts",'h-framework'),$widget_ops,$control_ops); }

	function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['count']= strip_tags($new_instance['count']);
			$instance['title']= strip_tags($new_instance['title']);
			$instance['post_type']= strip_tags($new_instance['post_type']);
			$instance['post_filter']= strip_tags($new_instance['post_filter']);
			$instance['excerpt']= strip_tags($new_instance['excerpt']);
			return $instance;
	}
	function form($instance) {
		 $count = $title = $post_type = $post_filter = $excerpt = '';

		if(isset($instance['count'])) $count = esc_attr($instance['count']);
		if(isset($instance['title'])) $title = $instance['title'];
		if(isset($instance['post_type'])) $post_type = $instance['post_type'];
		if(isset($instance['post_filter'])) $post_filter = $instance['post_filter'];
		if(isset($instance['excerpt'])) $excerpt = $instance['excerpt'];
	    $excerpt = trim($excerpt=="") ? 90 : $excerpt ;
		 ?>

        <p class="hades-custom">
        <label for="<?php echo $this->get_field_id('post_type'); ?>"> <?php _e('Post Type','h-framework'); ?> </label>
		<select name="<?php echo $this->get_field_name('post_type'); ?>" id="<?php echo $this->get_field_id('post_type'); ?>">
		 <?php
		 $array = array("blog","portfolio","gallery");
		 foreach($array as $val){

		 if($val==$post_type)
		 echo "<option value='$val' selected>$val</option>";
		 else
		 echo "<option value='$val'>$val</option>";

		 }
		 ?>
        </select>
		</p>

         <p class="hades-custom">
        <label for="<?php echo $this->get_field_id('post_filter'); ?>"> <?php _e('Blog Posts Filter','h-framework'); ?> </label>
		<select name="<?php echo $this->get_field_name('post_filter'); ?>" id="<?php echo $this->get_field_id('post_filter'); ?>">
		 <?php
		 $array = array("popular","recent","featured");
		 foreach($array as $val){

		 if($val==$post_type)
		 echo "<option value='$val' selected>$val</option>";
		 else
		 echo "<option value='$val'>$val</option>";

		 }
		 ?>
        </select>
		</p>


        <p class="hades-custom-media">
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>


		<p class="hades-custom-media">
        <label for="<?php echo $this->get_field_id('count'); ?>"> <?php _e('Number of posts to display','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" type="text" value="<?php echo $count; ?>" />
		</p>

        <p class="hades-custom-media">
        <label for="<?php echo $this->get_field_id('excerpt'); ?>"> <?php _e('Enter excerpt Words Limit','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('excerpt'); ?>" name="<?php echo $this->get_field_name('excerpt'); ?>" type="text" value="<?php echo $excerpt; ?>" />
		</p>





<?php

		 }
	function widget($args, $instance) {
	global $helper;
	global $more;
	extract($args);
	$post_type = $instance['post_type'];
	$post_filter = $instance['post_filter'];
	$excerpt = $instance['excerpt'];
	$count = esc_attr($instance['count']);
	$title = esc_attr($instance['title']);

	echo $before_widget;
	if($title!="")
	echo $before_title." ".$instance['title'].$after_title;

		?>

   <ul class="widget-posts clearfix" >

    <?php


	if($post_type=="blog") $post_type = "post";
    $options = array(

			'post_type' => $post_type,
			'posts_per_page' => $count,
			 'tax_query' =>  array(
							   array(
										'taxonomy' => 'post_format',
										'field' => 'slug',
										'terms' => array('post-format-quote','post-format-aside','post-format-video','post-format-link'),
										'operator' => 'NOT IN'
									)
							)
			);
    if($post_filter=="popular")
	$options["orderby"] = "comment_count";
	else if($post_filter=="recent")
	$options["orderby"] = "date";
	else if($post_filter=="featured")
	$options["tag"] = "featured";



	$popPosts = new WP_Query($options);




    while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0; ?>

    <li class="clearfix" >


      <?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */ ?>
      <div class="image">
      <?php
            $id = get_post_thumbnail_id();
            $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
            echo $helper->imageDisplay( array( "src" => $ar[0]  , "width" => 65 , "height" => 65 , "link"=> get_permalink() , "lightbox" => false , "imgclass" => "thunder_image" , 'imageAttr' => 'alt="'.get_the_title().'"')  );
      ?>
      </div><!--image-->
      <?php endif; ?>

      <div class="description">
          <h5><a href="<?php the_permalink(); ?>"><?php $this->shortenContent(50,strip_shortcodes( get_the_title() )); ?></a></h5>
         <p class='clearfix'> <?php $this->shortenContent($excerpt,strip_tags(get_the_content())); ?></p>

      </div><!--details-->
    </li>

    <?php endwhile; ?>



    </ul>


		<?php
			echo $after_widget;

		}

	function shortenContent($num,$stitle) {

	$limit = $num+1;
	if (!strnatcmp(phpversion(),'5.2.10') >= 0)
	$title = str_split($stitle);
	else
	$title = $this->str_split_php4_utf8($stitle);
	$length = count($title);
	if ($length>=$num) {
	    $title = array_slice( $title, 0, $num);
	    $title = implode("",$title)."...";
	    echo $title;
	  } else {
	    echo  $stitle;
	  }
	}


	}

add_action('widgets_init', create_function('', 'return
register_widget("SuperPost");'));


/* == Contact Form Widget ======================= */

class ContactForm extends WP_Widget {

	function ContactForm() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'ContactForm', 'description' => __( 'Contact Form Widget.','h-framework') );

		/* Widget control settings. */
		$control_ops = array( "width"=>200);
		 parent::WP_Widget(false,__( "Contact Form Widget" ,'h-framework'),$widget_ops,$control_ops); }

	function update($new_instance, $old_instance) {
			$instance = $old_instance;

			$instance['title']= strip_tags($new_instance['title']);
			$instance['email']= strip_tags($new_instance['email']);
			$instance['messsage']= strip_tags($new_instance['messsage']);

			return $instance;
	}
	function form($instance) {

		$title = $email = '';


		if(isset($instance['title']))
		$title = esc_attr($instance['title']);

		if(isset($instance['email']))
		$email = esc_attr($instance['email']);

		 ?>


		<p class="hades-custom">
        <label for="<?php echo $this->get_field_id('title'); ?>"> <?php _e('Title','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>

        <p>
        <label for="<?php echo $this->get_field_id('email'); ?>"> <?php _e('Email','h-framework'); ?> </label>
		<input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo $email; ?>" />
		</p>



<?php

		 }
	function widget($args, $instance) {

	extract($args);

	$title = esc_attr($instance['title']);
	$email = $instance['email'];




		echo $before_widget;

			if($title!="")
		echo $before_title." ".$instance['title'].$after_title;

		if(isset($_POST['qsubmit']))
	   {

			$to = $_POST["email"];
			$msg = "Message from ".$_POST["qname"]." email ".$_POST["qemail"]." . Message : ".$_POST["qmsg"];

			wp_mail($to, 'Message', ''.$msg );
	   }
		?>
        <div class="dynamic_forms clearfix">


          <form action='<?php echo HURL."/helper/form_request.php" ?>' method='post' class="clearfix">
          <div class="alert alert-success hide clearfix">
          <a class="close" data-dismiss="alert">×</a>
          Message Sent !
          </div>
          <span class="ajax-loading-icon"></span>

           <div>
              <input type="text" name="name" class="qname" placeholder="Enter name" />
              </div>
              <div>
              <input type="text" name="email" class="qemail" placeholder="Enter email" />
             </div>
             <div class='clearfix'>
              <textarea name="qmsg" class="msg" rows="4" cols="10" placeholder="Message" ></textarea>
             </div>
           <input type='hidden' name='notify_email' value='<?php echo $email; ?>' class='notify_email' />
              <input type="submit" name="qsubmit" value="Send" class="d_submit custom-font" />
          </form>
        </div>



        <?php


		echo $after_widget;

		}




	}

add_action('widgets_init', create_function('', 'return
register_widget("ContactForm");'));

class SocialSet extends WP_Widget {

	function SocialSet() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'SocialSet', 'description' => __('Creates a list with popular social sites.','h-framework') );

		/* Widget control settings. */
		$control_ops = array(  );
		 parent::WP_Widget(false,__("SocialSet",'h-framework'),$widget_ops,$control_ops); }

	function update($new_instance, $old_instance) {
			$instance = $old_instance;
			$instance['title']= $new_instance['title'];

			$instance['f500px']= $new_instance['f500px'];
			$instance['aim']= $new_instance['aim'];
			$instance['android']= $new_instance['android'];
			$instance['badoo']= $new_instance['badoo'];

			$instance['dailybooth']= $new_instance['dailybooth'];
			$instance['dribbble']= $new_instance['dribbble'];
			$instance['email']= $new_instance['email'];
			$instance['foursquare']= $new_instance['foursquare'];

			$instance['github']= $new_instance['github'];
			$instance['google']= $new_instance['google'];
			$instance['Hipstamatic']= $new_instance['Hipstamatic'];
			$instance['icq']= $new_instance['icq'];

			$instance['instagram']= $new_instance['instagram'];
			$instance['lastfm']= $new_instance['lastfm'];
			$instance['linkedin']= $new_instance['linkedin'];
			$instance['path']= $new_instance['path'];

			$instance['picasa']= $new_instance['picasa'];
			$instance['pininterest']= $new_instance['pininterest'];
			$instance['quora']= $new_instance['quora'];
			$instance['rdio']= $new_instance['rdio'];

			$instance['rss']= $new_instance['rss'];
			$instance['skype']= $new_instance['skype'];
			$instance['reddit']= $new_instance['reddit'];
			$instance['spotify']= $new_instance['spotify'];

			$instance['thefancy']= $new_instance['thefancy'];
			$instance['tumblr']= $new_instance['tumblr'];
			$instance['twitter']= $new_instance['twitter'];
			$instance['vimeo']= $new_instance['vimeo'];

			$instance['zerply']= $new_instance['zerply'];
			$instance['YouTube']= $new_instance['YouTube'];
			$instance['Xbox']= $new_instance['Xbox'];
			$instance['facebook']= $new_instance['facebook'];



			return $instance;
	}
	function form($instance) {

	$title = $f500px = $aim = $android = $badoo = $dailybooth = $dribbble = $email  = $foursquare = $github = $google = $Hipstamatic = $icq = $instagram = $lastfm = $linkedin = $path = $picasa = $pininterest = $quora = $rdio = $rss = $skype = $reddit = $spotify = $thefancy = $tumblr = $twitter = $vimeo = $Xbox = $YouTube = $zerply = $facebook = '';


	if(isset($instance['title'])) $title = esc_attr($instance['title']);

	if(isset($instance['f500px'])) $f500px = esc_attr($instance['f500px']);
	if(isset($instance['aim'])) $aim = esc_attr($instance['aim']);
	if(isset($instance['android'])) $android = esc_attr($instance['android']);
	if(isset($instance['badoo'])) $badoo = esc_attr($instance['badoo']);

	if(isset($instance['dailybooth'])) $dailybooth = esc_attr($instance['dailybooth']);
	if(isset($instance['dribbble'])) $dribbble = esc_attr($instance['dribbble']);
	if(isset($instance['email'])) $email = esc_attr($instance['email']);
	if(isset($instance['foursquare'])) $foursquare = esc_attr($instance['foursquare']);

	if(isset($instance['github'])) $github = esc_attr($instance['github']);
	if(isset($instance['google'])) $google = esc_attr($instance['google']);
	if(isset($instance['Hipstamatic'])) $Hipstamatic = esc_attr($instance['Hipstamatic']);
	if(isset($instance['icq'])) $icq = esc_attr($instance['icq']);

	if(isset($instance['instagram'])) $instagram = esc_attr($instance['instagram']);
	if(isset($instance['lastfm'])) $lastfm = esc_attr($instance['lastfm']);
	if(isset($instance['linkedin'])) $linkedin = esc_attr($instance['linkedin']);
	if(isset($instance['path'])) $path = esc_attr($instance['path']);

	if(isset($instance['picasa'])) $picasa = esc_attr($instance['picasa']);
	if(isset($instance['pininterest']))  $pininterest = esc_attr($instance['pininterest']);
	if(isset($instance['quora'])) $quora = esc_attr($instance['quora']);
	if(isset($instance['rdio'])) $rdio = esc_attr($instance['rdio']);

	if(isset($instance['rss'])) $rss = esc_attr($instance['rss']);
	if(isset($instance['skype'])) $skype = esc_attr($instance['skype']);
	if(isset($instance['reddit'])) $reddit = esc_attr($instance['reddit']);
	if(isset($instance['spotify'])) $spotify = esc_attr($instance['spotify']);

	if(isset($instance['thefancy'])) $thefancy = esc_attr($instance['thefancy']);
	if(isset($instance['tumblr'])) $tumblr = esc_attr($instance['tumblr']);
	if(isset($instance['twitter'])) $twitter = esc_attr($instance['twitter']);
	if(isset($instance['vimeo'])) $vimeo = esc_attr($instance['vimeo']);

	if(isset($instance['Xbox'])) $Xbox = esc_attr($instance['Xbox']);
	if(isset($instance['YouTube'])) $YouTube = esc_attr($instance['YouTube']);
	if(isset($instance['zerply'])) $zerply = esc_attr($instance['zerply']);
	if(isset($instance['facebook'])) 	$facebook = esc_attr($instance['facebook']);

		?>


       	 <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $title; ?>" />
		</p>



         <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'f500px' ); ?>"><?php _e('Enter your 500px Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'f500px' ); ?>" name="<?php echo $this->get_field_name( 'f500px' ); ?>" value="<?php echo $f500px; ?>" />
		</p>

         <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'aim' ); ?>"><?php _e('Enter your aim Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'aim' ); ?>" name="<?php echo $this->get_field_name( 'aim' ); ?>" value="<?php echo $aim; ?>" />
		</p>

         <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'android' ); ?>"><?php _e('Enter your android Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'android' ); ?>" name="<?php echo $this->get_field_name( 'android' ); ?>" value="<?php echo $android; ?>" />
		</p>

         <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'badoo' ); ?>"><?php _e('Enter your badoo Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'badoo' ); ?>" name="<?php echo $this->get_field_name( 'badoo' ); ?>" value="<?php echo $badoo; ?>" />
		</p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'dailybooth' ); ?>"><?php _e('Enter your dailybooth Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'dailybooth' ); ?>" name="<?php echo $this->get_field_name( 'dailybooth' ); ?>" value="<?php echo $dailybooth; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'dribbble' ); ?>"><?php _e('Enter your dribbble Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'dribbble' ); ?>" name="<?php echo $this->get_field_name( 'dribbble' ); ?>" value="<?php echo $dribbble; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'email' ); ?>"><?php _e('Enter your email Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" value="<?php echo $email; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'foursquare' ); ?>"><?php _e('Enter your foursquare Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'foursquare' ); ?>" name="<?php echo $this->get_field_name( 'foursquare' ); ?>" value="<?php echo $foursquare; ?>" />
    </p>
      <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'github' ); ?>"><?php _e('Enter your github Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'github' ); ?>" name="<?php echo $this->get_field_name( 'github' ); ?>" value="<?php echo $github; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php _e('Enter your google Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" value="<?php echo $google; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'Hipstamatic' ); ?>"><?php _e('Enter your Hipstamatic Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'Hipstamatic' ); ?>" name="<?php echo $this->get_field_name( 'Hipstamatic' ); ?>" value="<?php echo $Hipstamatic; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'icq' ); ?>"><?php _e('Enter your icq Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'icq' ); ?>" name="<?php echo $this->get_field_name( 'icq' ); ?>" value="<?php echo $icq; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'instagram' ); ?>"><?php _e('Enter your instagram Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'instagram' ); ?>" name="<?php echo $this->get_field_name( 'instagram' ); ?>" value="<?php echo $instagram; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'lastfm' ); ?>"><?php _e('Enter your lastfm Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'lastfm' ); ?>" name="<?php echo $this->get_field_name( 'lastfm' ); ?>" value="<?php echo $lastfm; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php _e('Enter your linkedin Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" value="<?php echo $linkedin; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'path' ); ?>"><?php _e('Enter your path Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'path' ); ?>" name="<?php echo $this->get_field_name( 'path' ); ?>" value="<?php echo $path; ?>" />
    </p>


     <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'picasa' ); ?>"><?php _e('Enter your picasa Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'picasa' ); ?>" name="<?php echo $this->get_field_name( 'picasa' ); ?>" value="<?php echo $picasa; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'pininterest' ); ?>"><?php _e('Enter your pininterest Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'pininterest' ); ?>" name="<?php echo $this->get_field_name( 'pininterest' ); ?>" value="<?php echo $pininterest; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'quora' ); ?>"><?php _e('Enter your quora Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'quora' ); ?>" name="<?php echo $this->get_field_name( 'quora' ); ?>" value="<?php echo $quora; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'rdio' ); ?>"><?php _e('Enter your rdio Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'rdio' ); ?>" name="<?php echo $this->get_field_name( 'rdio' ); ?>" value="<?php echo $rdio; ?>" />
    </p>



      <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'rss' ); ?>"><?php _e('Enter your rss Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'rss' ); ?>" name="<?php echo $this->get_field_name( 'rss' ); ?>" value="<?php echo $rss; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'skype' ); ?>"><?php _e('Enter your skype Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'skype' ); ?>" name="<?php echo $this->get_field_name( 'skype' ); ?>" value="<?php echo $skype; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'reddit' ); ?>"><?php _e('Enter your reddit Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'reddit' ); ?>" name="<?php echo $this->get_field_name( 'reddit' ); ?>" value="<?php echo $reddit; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'spotify' ); ?>"><?php _e('Enter your spotify Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'spotify' ); ?>" name="<?php echo $this->get_field_name( 'spotify' ); ?>" value="<?php echo $spotify; ?>" />
    </p>

     <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'thefancy' ); ?>"><?php _e('Enter your thefancy Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'thefancy' ); ?>" name="<?php echo $this->get_field_name( 'thefancy' ); ?>" value="<?php echo $thefancy; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'tumblr' ); ?>"><?php _e('Enter your tumblr Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'tumblr' ); ?>" name="<?php echo $this->get_field_name( 'tumblr' ); ?>" value="<?php echo $tumblr; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Enter your twitter Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $twitter; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'vimeo' ); ?>"><?php _e('Enter your vimeo Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'vimeo' ); ?>" name="<?php echo $this->get_field_name( 'vimeo' ); ?>" value="<?php echo $vimeo; ?>" />
    </p>


     <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'Xbox' ); ?>"><?php _e('Enter your Xbox Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'Xbox' ); ?>" name="<?php echo $this->get_field_name( 'Xbox' ); ?>" value="<?php echo $Xbox; ?>" />
    </p>

    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'YouTube' ); ?>"><?php _e('Enter your YouTube Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'YouTube' ); ?>" name="<?php echo $this->get_field_name( 'YouTube' ); ?>" value="<?php echo $YouTube; ?>" />
    </p>
    <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'zerply' ); ?>"><?php _e('Enter your zerply Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'zerply' ); ?>" name="<?php echo $this->get_field_name( 'zerply' ); ?>" value="<?php echo $zerply; ?>" />
    </p>
     <p class="hades-custom">
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e('Enter your facebook Profile link:', 'h-framework') ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo $facebook; ?>" />
    </p>
        <?php



		 }
	function widget($args, $instance) {

	extract($args);

	$title = esc_attr($instance['title']);

	$f500px = esc_attr($instance['f500px']);
	$aim = esc_attr($instance['aim']);
	$android = esc_attr($instance['android']);
	$badoo = esc_attr($instance['badoo']);

	$dailybooth = esc_attr($instance['dailybooth']);
	$dribbble = esc_attr($instance['dribbble']);
	$email = esc_attr($instance['email']);
	$foursquare = esc_attr($instance['foursquare']);

	$github = esc_attr($instance['github']);
	$google = esc_attr($instance['google']);
	$Hipstamatic = esc_attr($instance['Hipstamatic']);
	$icq = esc_attr($instance['icq']);

	$instagram = esc_attr($instance['instagram']);
	$lastfm = esc_attr($instance['lastfm']);
	$linkedin = esc_attr($instance['linkedin']);
	$path = esc_attr($instance['path']);

	$picasa = esc_attr($instance['picasa']);
	$pininterest = esc_attr($instance['pininterest']);
	$quora = esc_attr($instance['quora']);
	$rdio = esc_attr($instance['rdio']);

	$rss = esc_attr($instance['rss']);
	$skype = esc_attr($instance['skype']);
	$reddit = esc_attr($instance['reddit']);
	$spotify = esc_attr($instance['spotify']);

	$thefancy = esc_attr($instance['thefancy']);
	$tumblr = esc_attr($instance['tumblr']);
	$twitter = esc_attr($instance['twitter']);
	$vimeo = esc_attr($instance['vimeo']);

	$Xbox = esc_attr($instance['Xbox']);
	$YouTube = esc_attr($instance['YouTube']);
	$zerply = esc_attr($instance['zerply']);
	$facebook = esc_attr($instance['facebook']);


	echo $before_widget;
	if($title!="")
		echo $before_title." ".$title .$after_title;
	?>


    <div class="social-set clearfix">
        <ul class="social-icons clearfix">

			<?php if($f500px!="") : ?><li><a href="<?php echo $f500px ?>" ><img src="<?php echo URL."/sprites/i/si/500px-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($aim!="") : ?><li><a href="<?php echo $aim ?>" ><img src="<?php echo URL."/sprites/i/si/aim-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($android!="") : ?><li><a href="<?php echo $android ?>" ><img src="<?php echo URL."/sprites/i/si/android-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($badoo!="") : ?><li><a href="<?php echo $badoo ?>" ><img src="<?php echo URL."/sprites/i/si/badoo-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>


            <?php if($dailybooth!="") : ?><li><a href="<?php echo $dailybooth ?>" ><img src="<?php echo URL."/sprites/i/si/dailybooth-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($dribbble!="") : ?><li><a href="<?php echo $dribbble ?>" ><img src="<?php echo URL."/sprites/i/si/dribbble-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($email!="") : ?><li><a href="<?php echo $email ?>" ><img src="<?php echo URL."/sprites/i/si/email-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($foursquare!="") : ?><li><a href="<?php echo $foursquare ?>" ><img src="<?php echo URL."/sprites/i/si/foursquare-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>


            <?php if($github!="") : ?><li><a href="<?php echo $github ?>" ><img src="<?php echo URL."/sprites/i/si/github-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($google!="") : ?><li><a href="<?php echo $google ?>" ><img src="<?php echo URL."/sprites/i/si/google+-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($Hipstamatic!="") : ?><li><a href="<?php echo $Hipstamatic ?>" ><img src="<?php echo URL."/sprites/i/si/Hipstamatic-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($icq!="") : ?><li><a href="<?php echo $icq ?>" ><img src="<?php echo URL."/sprites/i/si/icq-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>


            <?php if($instagram!="") : ?><li><a href="<?php echo $instagram ?>" ><img src="<?php echo URL."/sprites/i/si/instagram-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($lastfm!="") : ?><li><a href="<?php echo $lastfm ?>" ><img src="<?php echo URL."/sprites/i/si/lastfm-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($linkedin!="") : ?><li><a href="<?php echo $linkedin ?>" ><img src="<?php echo URL."/sprites/i/si/linkedin-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($path!="") : ?><li><a href="<?php echo $path ?>" ><img src="<?php echo URL."/sprites/i/si/path-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>

            <?php if($picasa!="") : ?><li><a href="<?php echo $picasa ?>" ><img src="<?php echo URL."/sprites/i/si/picasa-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($pininterest!="") : ?><li><a href="<?php echo $pininterest ?>" ><img src="<?php echo URL."/sprites/i/si/pinterest-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($quora!="") : ?><li><a href="<?php echo $quora ?>" ><img src="<?php echo URL."/sprites/i/si/quora-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($rdio!="") : ?><li><a href="<?php echo $rdio ?>" ><img src="<?php echo URL."/sprites/i/si/rdio-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>

            <?php if($rss!="") : ?><li><a href="<?php echo $rss ?>" ><img src="<?php echo URL."/sprites/i/si/rss-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($skype!="") : ?><li><a href="<?php echo $skype ?>" ><img src="<?php echo URL."/sprites/i/si/skype-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($reddit!="") : ?><li><a href="<?php echo $reddit ?>" ><img src="<?php echo URL."/sprites/i/si/reddit-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($spotify!="") : ?><li><a href="<?php echo $spotify ?>" ><img src="<?php echo URL."/sprites/i/si/spotify-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>

            <?php if($thefancy!="") : ?><li><a href="<?php echo $thefancy ?>" ><img src="<?php echo URL."/sprites/i/si/thefancy-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($tumblr!="") : ?><li><a href="<?php echo $tumblr ?>" ><img src="<?php echo URL."/sprites/i/si/tumblr-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($twitter!="") : ?><li><a href="<?php echo $twitter ?>" ><img src="<?php echo URL."/sprites/i/si/twitter-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($vimeo!="") : ?><li><a href="<?php echo $vimeo ?>" ><img src="<?php echo URL."/sprites/i/si/vimeo-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>

            <?php if($Xbox!="") : ?><li><a href="<?php echo $Xbox ?>" ><img src="<?php echo URL."/sprites/i/si/Xbox-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($YouTube!="") : ?><li><a href="<?php echo $YouTube ?>" ><img src="<?php echo URL."/sprites/i/si/YouTube-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($zerply!="") : ?><li><a href="<?php echo $zerply ?>" ><img src="<?php echo URL."/sprites/i/si/zerply-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>
            <?php if($facebook!="") : ?><li><a href="<?php echo $facebook ?>" ><img src="<?php echo URL."/sprites/i/si/facebook-32.png"; ?>" alt='social icon' /></a></li><?php endif; ?>



        </ul>
    </div>

	<?php

	echo  $after_widget;

		}

	}

add_action('widgets_init', create_function('', 'return
register_widget("SocialSet");'));

?>