<?php

/*

======================================================================================
== Hades Option Panel ================================================================
======================================================================================

Version 6.1
Authors - WPTitans

Current Elements -
--------------------------------------------------------
  1.  Text Box            =  ( code => text ) Creates a text box.
  2.  Text Area           =  ( code => textarea) Creates a textarea
  3.  Checkboxes          =  ( code => checkbox) Creates checkboxes
  4.  Radio buttons       =  ( code => radio) Creates Radio buttons
  5.  Slider              =  ( code => slider) Creates a numeric slider
  6.  Color picker        =  ( code => colorpicker) Creates a color picker with a supporting textbox
  7.  Drop down lists     =  ( code => select) Creates a dropdown list
  8.  Toggle              =  ( code => toggle) Creates a Yes/No radio button set
  9.  Includes            =  ( code => include) Adds a way to include advance panels
  10. Sub Panel Activated =  ( code => subtitle) Ability to create nested panels
  11. Upload              =  ( code => upload) Creates an upload box
  12. Help                =  ( code => help) Creates a inframe which can be link to pages.
  13. Custom Block        =  ( code => custom) Allows to add custom blocks in panels/
======================================================================================

*/




/* ====================================================================================== */
/* == General Settings Panel ============================================================ */
/* ====================================================================================== */
$options = array();
$options[]   = array(
		           "name" => "General Settings",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");





/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Basic Settings" ,
				   "type"=>"subtitle" ,
				  );

$options[]   = array(
                  "name" => "Logo Upload",
				  "desc" => "Upload your logo here.",
				  "id" => $shortname."_logo",
				  "type" => "upload",
				  "title" => "Use as Logo",
				  "std" => URL."/sprites/i/logo.png"
				  );



$options[]   = array(
                  "name" => "Favicon Upload",
				  "desc" => "Upload your Favicon here.",
				  "id" => $shortname."_favicon",
				  "type" => "upload",
				  "title" => "Use as Favicon",
				  "std" => "your upload path",
				  "parentClass" => "h-advance"
				  );

$options[]   = array(
                 "name" => "Javascript Code",
	             "desc" => "Add your javascript code here, this will be in head section inside <strong>script tags.</strong>.",
	             "id" => $shortname."_headjs_code",
	             "type" => "textarea",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Tracking Code",
	             "desc" => "Add your Google Analytics code or some other, this will be in footer inside <strong>script tags.</strong>.",
	             "id" => $shortname."_tracking_code",
	             "type" => "textarea",
	             "std" => ""
				  );


$options[]   = array(
                 "name" => "Custom Css Code",
	             "desc" => "Quick and Save way of adding css styles to your site.",
	             "id" => $shortname."_custom_css",
	             "type" => "textarea",
	             "std" => ""
				  );



$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */



/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Social Links" ,
				   "type"=>"subtitle" ,
				    );
$options[]   = array(
                 "name" => "Top Bar Linkedin Link",
	             "desc" => "add Linked In link at the top bar.",
	             "id" => $shortname."_linkedin_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top Bar Tumblr Link",
	             "desc" => "add Tumblr link at the top bar.",
	             "id" => $shortname."_tumblr_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top bar Youtube Link",
	             "desc" => "add Youtube link at the top bar.",
	             "id" => $shortname."_youtube_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top Bar Google+ Link",
	             "desc" => "add google+ link at the top bar.",
	             "id" => $shortname."_google_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top bar Twitter Link",
	             "desc" => "add twitter link at the top bar.",
	             "id" => $shortname."_twitter_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top bar Facebook Link",
	             "desc" => "add facebook link at the top bar.",
	             "id" => $shortname."_facebook_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top Bar RSS Link",
	             "desc" => "add RSS link at the top bar.",
	             "id" => $shortname."_rss_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top Bar Skype Link",
	             "desc" => "add Skype link at the top bar.",
	             "id" => $shortname."_skype_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array(
                 "name" => "Top Bar Vimeo Link",
	             "desc" => "add Vimeo link at the top bar.",
	             "id" => $shortname."_vimeo_link",
	             "type" => "text",
	             "std" => ""
				  );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "BreadCrumbs" ,
				   "type"=>"subtitle" ,
				   "id"=>"BreadCrumbs"
					 );

$options[]   =  array(
				  "name" => "Enable/ Disable Breadcrumbs",
				  "desc" => "Enable/ Disable Breadcrumbs all over the theme.",
				  "id" => $shortname."_breadcrumbs_enable",
				  "type" => "toggle",
				  "std" => "true"
					);

$options[]   = array(
                  "name" => "Breadcrumb Delimiter",
	              "desc" => "Enter the symbol for separator words in breadcrumb.",
	              "id" => $shortname."_breadcrumb_delimiter",
	              "type" => "text",
	              "std" => "/"
				  );

$options[]   = array(
                  "name" => "Enter Home Label",
	              "desc" => "Enter the home label for breadcrumb.",
	              "id" => $shortname."_breadcrumb_home_label",
	              "type" => "text",
	              "std" => "Home"
				  );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Misc" ,
				   "type"=>"subtitle" ,
				   "id"=>"misc"
					 );

$options[]   = array(
				  "name" => "Pagination Style",
				  "desc" => "Select pagination style here.",
				  "id" => $shortname."_pagination",
				  "type" => "select",
				  "options" => array("numbers","next/previous"),
				  "std" => "numbers",
				  "parentClass" => "h-advance"
				 );



$options[]   = array(
				  "name" => "Show Posts Comments",
				  "desc" => "show/hide posts comments.",
				  "id" => $shortname."_posts_comments",
				  "type" => "toggle",
				  "std" => "true",
				 );


$options[]   = array(
				  "name" => "Show Portfolio Comments",
				  "desc" => "Show/hide portfolio comments.",
				  "id" => $shortname."_portfolio_comments",
				  "type" => "toggle",
				  "std" => "true",
				 );


$options[]   = array(
				  "name" => "Show Page Comments",
				  "desc" => "Show/hide page comments.",
				  "id" => $shortname."_page_comments",
				  "type" => "toggle",
				  "std" => "true",
				 );



$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins =================================================================== */

$options[] = array(
	"name" => "Twitter Credentials" ,
	"type"=>"subtitle" ,
	"id"=>"twittercred"
);

$options[] = array(
	"name" => "Twitter key",
	"desc" => "You can create it here <a href='https://dev.twitter.com/apps/new' target='_blank'>https://dev.twitter.com/apps/new</a>",
	"id" => $shortname."_twitter_key",
	"type" => "text",
	"std" => ""
);

$options[] = array(
	"name" => "Twitter Secret key",
	"desc" => "You can create it here <a href='https://dev.twitter.com/apps/new' target='_blank'>https://dev.twitter.com/apps/new</a>",
	"id" => $shortname."_twitter_secret_key",
	"type" => "text",
	"std" => ""
);

$options[] = array(
	"name" => "Twitter Token",
	"desc" => "You can create it here <a href='https://dev.twitter.com/apps/new' target='_blank'>https://dev.twitter.com/apps/new</a>",
	"id" => $shortname."_twitter_token",
	"type" => "text",
	"std" => ""
);

$options[] = array(
	"name" => "Twitter Secret Token",
	"desc" => "You can create it here <a href='https://dev.twitter.com/apps/new' target='_blank'>https://dev.twitter.com/apps/new</a>",
	"id" => $shortname."_twitter_secret_token",
	"type" => "text",
	"std" => ""
);

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == General Settings Panel Ends ======================================================= */
/* ====================================================================================== */


/* == Header Panel Begins ================================================================== */
$options[]   = array(
		           "name" => "Header",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");

/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Layout" ,
				   "type"=>"subtitle" ,
				   "id"=>"misc"
					 );

$options[]   = array(
				  "name" => "Header Layout",
				  "desc" => "Select header variant here.",
				  "id" => $shortname."_headerlayout",
				  "type" => "radio",
				  "options" => array(
				  	"layout 1",
			  		"layout 2",
			  		"layout 3",
			  		"layout 4"
				  )
				 );



$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* == Header Panel Begins ================================================================== */
$options[]   = array(
		           "name" => "Homepage Slider",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");

/* == Sub Panel Begins =================================================================== */

/* Grab the sliders from the DB */

$table_db_name = $wpdb->prefix . "revslider_sliders";
$sliders =  $wpdb->get_results("SELECT * FROM $table_db_name ",ARRAY_A);

$slider_dropdown = array();
foreach($sliders as $slider) {
	array_push($slider_dropdown, $slider['title']);
}

$options[]   = array(
				   "name" => "Homepage Slider" ,
				   "type"=>"subtitle" ,
				   "id"=>"misc"
					 );


$options[]   = array(
				  "name" => "Active",
				  "desc" => "Activate the home[age slider on the homepage",
				  "id" => $shortname."_homepageslider_active",
				  "type" => "select",
				  "options" => array('Yes', 'No')
				 );

$options[]   = array(
				  "name" => "Homepage Slider",
				  "desc" => "Select the slider for the homepage.",
				  "id" => $shortname."_homepageslider",
				  "type" => "select",
				  "options" => $slider_dropdown
				 );



$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* == Sub Panel Begins ================================================================== */

$options[]   = array(
		           "name" => "SEO",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");


/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Head Related Settings" ,
				   "type"=>"subtitle" ,

					 );

$options[]   =  array(
				  "name" => "Use Theme's SEO",
				  "desc" => "",
				  "id" => $shortname."_seo",
				  "type" => "toggle",
				  "std" => "true"
					);

$options[]   = array(
                  "name" => "Title For Site",
	              "desc" => "It will appear in title tag.",
	              "id" => $shortname."_title",
	              "type" => "text",
	              "std" => ""
				  );

$options[]   = array(
                  "name" => "Meta keywords For Site",
	              "desc" => "It will appear in head section.",
	              "id" => $shortname."_meta_keywords",
	              "type" => "text",
	              "std" => ""
				  );

$options[]   = array(
                  "name" => "Meta description For Site",
	              "desc" => "It will appear in head section.",
	              "id" => $shortname."_meta_description",
	              "type" => "text",
	              "std" => ""
				  );




$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ==================================================================== */



$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == SEO Panel Ends =---================================================================ */
/* ====================================================================================== */



/* ====================================================================================== */
/* == Typography Panel ================================================================== */
/* ====================================================================================== */

$options[]   = array(
		           "name" => "Typography",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");


/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Body Font & Custom Font Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"bodytypo"
					 );



$options[]   = array(
						"name" => "Typography Panel File",
						"type"=>"include",
						"std"=> HPATH."/option_panel/adv_mods/typo.php"
					  );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */


$options[]   = array(
				   "name" => "Heading's Font Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"bodytypo"
					 );



$options[]   = array(
                  "name"=>"H1 Font Size",
			      "desc"=>"h1 font size.",
			      "id" => $shortname."_h1_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>36,
				  "suffix"=>"px"
					 );

$options[]   = array(
                  "name"=>"H2 Font Size",
			      "desc"=>"h2 font size.",
			      "id" => $shortname."_h2_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>32,
				  "suffix"=>"px"
					);

$options[]   = array(
                  "name"=>"H3 Font Size",
			      "desc"=>"h3 font size.",
			      "id" => $shortname."_h3_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>28,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array(
                  "name"=>"H4 Font Size",
			      "desc"=>"h4 font size.",
			      "id" => $shortname."_h4_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>24,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array(
                  "name"=>"H5 Font Size",
			      "desc"=>"h5 font size.",
			      "id" => $shortname."_h5_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array(
                  "name"=>"H6 Font Size",
			      "desc"=>"h6 font size.",
			      "id" => $shortname."_h6_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>13,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins ===================================================================== */
$options[]   = array(
				   "name" => "Blog's Font Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"bodytypo"
					 );



$options[]   = array(
                  "name"=>"Blog Post's Title Size",
			      "desc"=>"Blog Posts font size.",
			      "id" => $shortname."_blog_post_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px"
					 );





$options[]   = array("type"=>"close_subtitle");
/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins ===============================================================
$options[]   = array(
				   "name" => "Portfolio's Font Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"bodytypo"
					 );





$options[]   = array(
                  "name"=>"Portfolio Column 1 Title Size",
			      "desc"=>"Portfolio Column 1 Posts font size.",
			      "id" => $shortname."_portfolio1_title_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px"
					 );

$options[]   = array(
                  "name"=>"Portfolio Column 2 Title Size",
			      "desc"=>"Portfolio Column 2 Posts font size.",
			      "id" => $shortname."_portfolio2_title_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px"
					 );

$options[]   = array(
                  "name"=>"Portfolio Column 3 Title Size",
			      "desc"=>"Portfolio Column 3 Posts font size.",
			      "id" => $shortname."_portfolio3_title_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px"
					 );

$options[]   = array(
                  "name"=>"Portfolio Column 4 Title Size",
			      "desc"=>"Portfolio Column 4 Posts font size.",
			      "id" => $shortname."_portfolio4_title_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px"
					 );


$options[]   = array("type"=>"close_subtitle"); ===================================================================== */


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Typography Panel Ends ============================================================= */
/* ====================================================================================== */



/* ====================================================================================== */
/* == Footer Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array(
		           "name" => "Footer",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");



/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Footer Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"fsettings"
					 );

$options[]   = 	array(
						"name" => "Show Footer Bar",
						"desc" => "",
						"id" => $shortname."_footer_bar",
						"type" => "toggle",
						"std" => "true"
					  );

$options[]   = array(
				  "name" => "Show Footer Widgets column area",
				  "desc" => "Don't need the footer widgets then disable it here",
				  "id" => $shortname."_footer_widgets",
				  "type" => "radio",
				  "options" => array("Yes","No"),
				  "std" => "Yes"
				   );


$options[]   = array(
						"name" => "Footer Panel File",
						"type"=>"include",
						"std"=> HPATH."/option_panel/adv_mods/footer.php"
					  );

$options[]   = array(
				  "name" => "Show Footer Menu",
				  "desc" => "Don't need the bottom footer menu then disable it here",
				  "id" => $shortname."_footer_menu",
				  "type" => "radio",
				  "options" => array("Yes","No"),
				  "std" => "Yes",
				  "parentClass" => "h-advance"
				   );

$options[]   = array(
				  "name" => "Footer Text",
				  "desc" => "footer text.",
				  "id" => $shortname."_footer_text",
				  "type" => "textarea",
				  "std" => "",
				  "parentClass" => "h-advance"
				   );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Footer Panel Ends ================================================================= */
/* ====================================================================================== */



/* ====================================================================================== */
/* == Portfolio Panel =================================================================== */
/* ====================================================================================== */

$options[]   = array(
		           "name" => "Portfolio",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");


/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Portfolio Options" ,
				   "type"=>"subtitle" ,
				   "id"=>"portfoliooption"
					 );



$options[] = array(
                  "name"=>"Portfolio 1 Column Items Limit",
			      "desc"=>"Set the amount of items you want to show inside the 1 column portfolio page.",
				   "id" => $shortname."_portfolio1_item_limit",
				   "type"=>"slider",
				   "max"=>50,
				   "std"=>6,
				   "suffix"=>"Items");

$options[] = array(
                  "name"=>"Portfolio 2 Column Items Limit",
			      "desc"=>"Set the amount of items you want to show inside the 2 column portfolio page.",
				   "id" => $shortname."_portfolio2_item_limit",
				   "type"=>"slider",
				   "max"=>50,
				   "std"=>6,
				   "suffix"=>"Items");

$options[] = array(
                  "name"=>"Portfolio 3 Column Items Limit",
			      "desc"=>"Set the amount of items you want to show inside the 3 column portfolio page.",
				   "id" => $shortname."_portfolio3_item_limit",
				   "type"=>"slider",
				   "max"=>50,
				   "std"=>6,
				   "suffix"=>"Items");

$options[] = array(
                  "name"=>"Portfolio 4 Column Items Limit",
			      "desc"=>"Set the amount of items you want to show inside the 4 column portfolio page.",
				   "id" => $shortname."_portfolio4_item_limit",
				   "type"=>"slider",
				   "max"=>50,
				   "std"=>6,
				   "suffix"=>"Items");

$options[] = array("name"=>"Portfolio 1 Column Words Limit",
			      "desc"=>"Set your word limit for the portflio 1 column here",
				   "id" => $shortname."_portfolio1_limit",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>250,
				   "suffix"=>"letters");

$options[] = array("name"=>"Portfolio 2 Column Words Limit",
			      "desc"=>"Set your word limit for the portflio 2 column here",
				   "id" => $shortname."_portfolio2_limit",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>250,
				   "suffix"=>"letters");

$options[] = array("name"=>"Portfolio 3 Column Words Limit",
			      "desc"=>"Set your word limit for the portflio 3 column here",
				   "id" => $shortname."_portfolio3_limit",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>250,
				   "suffix"=>"letters");

$options[] = array("name"=>"Portfolio 4 Column Words Limit",
			      "desc"=>"Set your word limit for the portflio 4 column here",
				   "id" => $shortname."_portfolio4_limit",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>250,
				   "suffix"=>"letters");


$options[] = array("name"=>"Portfolio 1 Image Height",
			       "desc"=>"Enter the height for the 1 column portfolio image",
				   "id" => $shortname."_portfolio1_image_height",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>450,
				   "suffix"=>"px");

$options[] = array("name"=>"Portfolio 2 Image Height",
			       "desc"=>"Enter the height for the 2 column portfolio image",
				   "id" => $shortname."_portfolio2_image_height",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>650,
				   "suffix"=>"px");

$options[] = array("name"=>"Portfolio 3 Image Height",
			       "desc"=>"Enter the height for the 3 column portfolio image",
				   "id" => $shortname."_portfolio3_image_height",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>410,
				   "suffix"=>"px");

$options[] = array("name"=>"Portfolio 4 Image Height",
			       "desc"=>"Enter the height for the 4 column portfolio image",
				   "id" => $shortname."_portfolio4_image_height",
				   "type"=>"slider",
				   "max"=>1000,
				   "std"=>303,
				   "suffix"=>"px");



$options[]   = array("type"=>"close_subtitle");





$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Portfolio Panel Ends ============================================================== */
/* ====================================================================================== */

/* ====================================================================================== */
/* == Gallery Panel Ends ================================================================ */
/* ====================================================================================== */


$options[]   = array(
		           "name" => "Layout",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");




/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Resposive & Mobile Settings" ,
				   "type"=>"subtitle" ,

					 );


$options[]   =  array(
				  "name" => "Enable/ Disable Responsive View",
				  "desc" => "Enable/ Disable Mobile View all over the theme.",
				  "id" => $shortname."_mobile_view",
				  "type" => "toggle",
				  "std" => "true"
					);

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ==================================================================== */

/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Default Layout Settings" ,
				   "type"=>"subtitle" ,

					 );

$options[]   = array(
				   "name" => "layout",
				   "type"=>"include",
				   "std"=> HPATH."/option_panel/adv_mods/layout.php"
					  );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ==================================================================== */

/* == Sub Panel Begins ==================================================================

$options[]   = array(
				   "name" => "Size Editor" ,
				   "type"=>"subtitle" ,

					 );

$options[]   = array(
				   "name" => "layout",
				   "type"=>"include",
				   "std"=> HPATH."/option_panel/adv_mods/size_editor.php"
					  );

$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ==================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Layout Panel Ends ================================================================= */
/* ====================================================================================== */



/* ====================================================================================== */
/* == Blog & Posts Panel ================================================================ */
/* ====================================================================================== */

$options[]   = array(
		           "name" => "Blog Posts",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");




/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Blog Template Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"bloglayout"
					 );


$options[]   = 	array(
						"name" => "Enabled Wordpress Excerpt",
						"desc" => "Enable/Disable excerpt for blog posts, by default it uses framework's content limiter.",
						"id" => $shortname."_blog_excerpt",
						"type" => "toggle",
						"std" => "true"
					  );



$options[]   = 	array(
						"name" => "Continue Button Label",
						"desc" => "Enter the label for continue button.",
						"id" => $shortname."_more_label",
						"type" => "text",
						"std" => "more"
					  );

$options[] = array(
                  "name"=>"Blog Posts Items Limit",
			      "desc"=>"Set the amount of items you want to show inside the blog posts page.",
				   "id" => $shortname."_posts_item_limit",
				   "type"=>"slider",
				   "max"=>50,
				   "std"=>6,
				   "suffix"=>"Items");



$options[] = array(
                  "name"=>"Excerpt text Limit",
			      "desc"=>"Set your no of characters for excerpt here. Works Only When wordpress excerpt is disabled",
				   "id" => $shortname."_posts_excerpt_limit",
				   "type"=>"slider",
				   "max"=>500,
				   "std"=>300,
				   "suffix"=>"letters");


$options[]   = 	array(
						"name" => "Enabled/Disable posts extra information",
						"desc" => "Enable/Disable lightbox on posts thumbnail, if false it will point to the post.",
						"id" => $shortname."_blog_meta_enable",
						"type" => "toggle",
						"std" => "true"
					  );



$options[]   = 	array(
						"name" => "Post Metabar ( Extra information that appears below title)",
						"desc" => "You can set the extra info for posts in blog template here. Available shortcodes <br/><strong>[post_categories]</strong> - List of categories
<strong>[post_tags]</strong> - List of post tags</br>
<strong>[post_comments]</strong> - Link to post comments</br>
<strong>[post_author_posts_link]</strong> - Author and link to archive</br>
<strong>[post_time]</strong> - Time of post</br>
<strong>[post_date]</strong> - Date of post</br>",
						"id" => $shortname."_blog_meta",
						"type" => "textarea",
						"std" => "By [post_author_posts_link] On [post_date] &middot; [post_comments] &middot; In [post_categories] "
					  );

$options[]   = 	array(
						"name" => "Single Post Metabar ( Extra information that appears below title)",
						"desc" => "You can set the extra info for posts in blog template here. Available shortcodes <br/><strong>[post_categories]</strong> - List of categories
<strong>[post_tags]</strong> - List of post tags</br>
<strong>[post_comments]</strong> - Link to post comments</br>
<strong>[post_author_posts_link]</strong> - Author and link to archive</br>
<strong>[post_time]</strong> - Time of post</br>
<strong>[post_date]</strong> - Date of post</br>",
						"id" => $shortname."_single_meta",
						"type" => "textarea",
						"std" => "By [post_author_posts_link] On [post_date] &middot; [post_comments] &middot; In [post_categories] "
					  );
$options[]   = 	  array("type"=>"close_subtitle");

/* == Sub Panel Ends =================================================================== */

/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Single Post Settings" ,
				   "type"=>"subtitle" ,
				   "id"=>"postlayout"
					 );

$options[]   = 	array(
						"name" => "Show Featured Image",
						"desc" => "Show Featured Image at the top or disable it when you want to show a image inside the wp editor.",
						"id" => $shortname."_featured_image",
						"type" => "toggle",
						"std" => "true"
					  );


$options[]   = 	array(
						"name" => "Face Book Comments",
						"desc" => "Enable/Disable facebook comment plugin.",
						"id" => $shortname."_fb_comments",
						"type" => "toggle",
						"std" => "true"
					  );
$options[]   = 	array(
						"name" => "Show Author BIO",
						"desc" => "Don't need an Author Bio then just disbale it here.",
						"id" => $shortname."_author_bio",
						"type" => "toggle",
						"std" => "true"
					  );

$options[]   = array(
				  "name" => "Enter Related Posts Title",
				  "desc" => "",
				  "id" => $shortname."_related_posts_title",
				  "type" => "text",
				  "std" => ""

				   );

$options[]   = 	array(
						"name" => "Show Related Posts",
						"desc" => "Don't want to show your related posts? Then disable them here.",
						"id" => $shortname."_popular",
						"type" => "toggle",
						"std" => "true"
					  );



$options[]   = 	  array("type"=>"close_subtitle");

/* == Sub Panel Ends =================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Blog & Posts Panel Ends =========================================================== */
/* ====================================================================================== */


/* ====================================================================================== */
/* == Visual Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Visual Panel",
	  	           "type" => "section"
		          );
$options[]   = array( 
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Stylings" , 
				   "type"=>"subtitle" , 
				   "id"=>"visual_premade_simple"
					 );


					  
$options[]   = array(
						"name" => "Visual File", 
						"type"=>"include", 
						"std"=> HPATH."/option_panel/adv_mods/visual.php"
					  );	

									
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Custom Style Panel Ends =========================================================== */
/* ====================================================================================== */



/* ====================================================================================== */
/* == Advanced ========================================================================== */
/* ====================================================================================== */

$options[]   = array(
		           "name" => "Advanced",
	  	           "type" => "section"
		          );
$options[]   = array(
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );

$options[]   = array( "type" => "open");



$options[]   =  array(
						"name" => "&rarr; 404 Not Found" ,
						"type"=>"subtitle" ,
						"id"=>"notfound"
						);
$options[]   =	array(
						"name" => "404 page title here",
						"desc" => "Add your 404 title here.",
						"id" => $shortname."_notfound_title",
						"type" => "text",
						"std" => ""
						);

$options[]   =	array(
						"name" => "404 image URL",
						"desc" => "Upload your 404 image.  ",
						"id" => $shortname."_notfound_logo",
						"type" => "upload",
						"std" => URL."/sprites/i/notfound.png"
					);


$options[]   =	array(
						"name" => "404 page text here",
						"desc" => "Add your 404 text here.",
						"id" => $shortname."_notfound_text",
						"type" => "textarea",
						"std" => ""
						);

$options[]   =	array("type"=>"close_subtitle");
/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Advanced Panel Ends =============================================================== */
/* ====================================================================================== */