<?php

// == Layout Calculation =========================================

$layout =    get_post_meta($post->ID,'_sidebar',true);
$layout = (trim($layout)=="") ? "hasRightSidebar" : $layout; // ~~ For pages existing prior to theme activation should have full width by default ~

$sidebar1 =    get_post_meta($post->ID,'_dynamic_sidebar',true);
$sidebar2 =    get_post_meta($post->ID,'_dynamic_sidebar2',true);

$titan_template =    get_post_meta($post->ID,'_titan_template',true);
$featured_media =    get_post_meta($post->ID,'_featured_media',true);
$video_link  =    get_post_meta($post->ID,'_video_link',true);

$content_width = '';
$width = 317;  $height = 415;
switch($layout)
 {
   case "full-width" : $content_width = 'full-width'; $width = 317; break;
   case "hasLeftSidebar" :
   case "hasRightSidebar" :  $content_width = 'two-third-width'; $width = 317; break;
   case "hasDoubleSidebar" :
   case "hasDoubleRightSidebar" :
   case "hasDoubleLeftSidebar" :  $content_width = 'one-third-width';  $width = 200; break;
   default :
        // Layout Calculate for Default Option also ===
        $layout = $super_options[SN.'_page_layout'];
         switch($layout)
         {
           case "hasLeftSidebar" :
           case "hasRightSidebar" :  $content_width = 'two-third-width'; $width = 317; break;
           case "hasDoubleSidebar" :
           case "hasDoubleRightSidebar" :
           case "hasDoubleLeftSidebar" :  $content_width = 'one-third-width';  $width = 200; break;
         }

 }



$categories = (trim(get_post_meta($post->ID,"_category",true))=="") ? false : get_post_meta($post->ID,"_category",true);


$blog_options = array(
                            'items_limit' => $super_options[SN."_posts_item_limit"],
                            'content_limit' =>  (int)$super_options[SN."_posts_excerpt_limit"],
                            'categories' => $categories,
                            'width' => $width ,
                            'height' => $height,
                            'meta_data' => $super_options[SN.'_blog_meta_enable'],
                            'clear' => 1,
                            'label' => 'blog-item-1-'
                          );

get_header(); ?>



<?php
$title = get_the_title();
$subtitle = '';
if( get_post_meta($post->ID,"intro_title",true) != "" ) $title = get_post_meta($post->ID,"intro_title",true);
if( get_post_meta($post->ID,"intro_text",true) != "" )  $subtitle = get_post_meta($post->ID,"intro_text",true);

?>
<div class="title-wrap <?php echo$super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
    <div class="wrap">
        <div class="skeleton">
                <h1 class="custom-title" ><?php echo $title; ?></h1>
                <?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>
         </div>
     </div>
</div>

<div class="page-wrapper">

 <?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page()) $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->

<div class="skeleton page content   <?php echo $layout; ?> clearfix blog-template  "> <!-- Start of loop -->

    <?php   if($layout=="hasDoubleSidebar") { $first_sidebar = true;  get_sidebar(); }    ?>

    <div class="<?php echo $content_width ?> " id="main-content">



     <?php the_content(); ?>


        <?php get_template_part('includes/loop'); ?>


    </div>
     <?php

     if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }

     ?>

</div>
   <div class="full-pagination">
        <div class="skeleton">
             <?php //$helper->pagination(); ?>
        </div>
    </div>

<?php get_footer(); ?>
