<?php

/* ======================================================================= */
/* == Shortcodes ========================================================= */
/* ======================================================================= */

/*

Author - WPTitans
Description - Contains all the shortcodes used by the hades framework. Use index to search.

== Index =====================
------------------------------

1. Lists
2. Skills
3. Charts
4. Custom Menus
5. Recent Posts
6. Titles

==============================

*/

// == List Items =======================================

function listShortcode($atts, $content ='')
{
	extract(
	  shortcode_atts(array(
	  	"style" => "dot",
	  	"color" => "default"
	), $atts));

	return '<ul class="styled-list '.$style.' '.$color.'">'.titanShorcodeformat($content).'</ul>';
}

add_shortcode("list","listShortcode");

function listItemShortcode($atts, $content ='')
{

	return '<li>'.do_shortcode($content).'</li>';
}

add_shortcode("list_item","listItemShortcode");

// == Skills =======================================

function skillsShortcode($atts, $content)
{
	extract(
	  shortcode_atts(array(
	  	"flipped" => "default",
	  	"color" => "default"
	), $atts));

	return '<ul class="skills '.$flipped.' '.$color.'">'.titanShorcodeformat($content).'</ul>';
}

add_shortcode("skills","skillsShortcode");

function skillShortcode($atts, $content ='')
{
	$flipped = null;
	extract(
	  shortcode_atts(array(
	  	"percent" => "0"
	), $atts));

	if ($flipped == "yes") { $flipped = "flipped"; }

	return '<li class="skill" data-skills-percent="'.$percent.'">'.$content.'</li>';
}

add_shortcode("skill","skillShortcode");

// == Charts =======================================

function chartShortcode($atts, $content ='')
{
	extract(
	  shortcode_atts(array(
	  	"percent" => "23",
	  	"size" => "250",
	  	"line_width" => "20",
	  	"bar_color" => "#ef5a2e",
	  	"track_color" => "#ddd"
	), $atts));

	return '<div class="chart" data-percent="'.$percent.'"data-size="'.$size.'"data-line_width="'.$line_width.'"data-bar_color="'.$bar_color.'" data-track_color="'.$track_color.'">'.titanShorcodeformat($content).'</div>';
}

add_shortcode("chart","chartShortcode");

function charttitleShortcode($atts, $content ='')
{

	return '<div class="charttitle">'.($content).'</div>';
}

add_shortcode("charttitle","charttitleShortcode");

// == Custom Menu =======================================

function customMenuShortcode($atts)
{
	extract(
	  shortcode_atts(array(
	  	"menu" => "23",
	  	"color" => "default",
	  	"depth" => "0"
	), $atts));

	return "<div class='custom-menu ".$color."'>".wp_nav_menu( array('menu' => $menu, 'depth' => $depth, 'echo' => false) )."</div>";
}

add_shortcode("menu","customMenuShortcode");

// == Posts =======================================

function recentPostsShortcode($atts)
{

	global $post;
    global $helper;

	extract(
	shortcode_atts(array(
		"category" => "",
		"order" => "ASC",
		"columns" => "3",
		"count" => "-1",
		"show_media" => "true",
		"show_read_more" => "true"
	), $atts));

	$i=0;
	global $wpdb;
   	$opts = array(

	'category' => $category,
	'posts_per_page' => $count,
	'order' => $order,
	 'tax_query' =>  array(
		   array(
					'taxonomy' => 'post_format',
					'field' => 'slug',
					'terms' => array('post-format-quote','post-format-aside','post-format-video','post-format-link'),
					'operator' => 'NOT IN'
				)
		)
	);

	$popPosts = new WP_Query($opts);

    $i = 1;

    $post_output = '<div class="posts-wrapper clearfix">';

		while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;  global $product;

		    if ($columns == 2) {$column_type = 'one_half'; }
		    if ($columns == 3) {$column_type = 'one_third'; }
		    if ($columns == 4) {$column_type = 'one_fourth'; }
		    if ($columns == 5) {$column_type = 'one_fifth'; }

			if ($columns != 'full width'){ $column_type = $i%$columns == 0 ? $column_type.'_last' : $column_type; }

			$post_output .= '<div class="post post-preview content-block '.$column_type.' layout_element shortcode-post">';

				if ($show_media == 'true') {
			        if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) : /* if post has post thumbnail */
						$id = get_post_thumbnail_id();
				        $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
			    	    $post_output .= '<div class="image">';
			           		if ($columns == 'full width') {$post_output .= $helper->imageDisplay( array( "src" => $ar[0] , "height" => 500 , "width" => 1000, "link" => get_permalink() , 'imageAttr' => "alt='".get_the_title()."' class='post-image'" ));
		    	    	}else{ $post_output .= $helper->imageDisplay( array( "src" => $ar[0] , "height" => 600 , "width" => 720, "link" => get_permalink() , 'imageAttr' => "alt='".get_the_title()."' class='post-image'" )); }
			            $post_output .= '</div><!--image-->';
			    	endif;
				}

	        	$post_output .= '<h2 class="custom-font"><a href="'.get_permalink().'">'.get_the_title().'</a></h2>';
	        	$post_output .= '<div class="desc">';
	        		$post_output .= $helper->getShortenContent(150,strip_shortcodes( strip_tags(get_the_content()) ));
	        		if($show_read_more == 'true'){ $post_output .= "<a href='".get_permalink()."' class='read-more'>Read More</a>"; }
	        	$post_output .= '</div>';
	        $post_output .= '</div>';
		$i++; endwhile;

	$post_output .= '</div>';

	return $post_output;

}

add_shortcode("recent_posts","recentPostsShortcode");

// == Posts =======================================

function portfolioShortcode($atts)
{
	extract(
	  shortcode_atts(array(
	    "type"=>"Most Recent",
	    "columns"=>"4",
	    "count"=>"4",
	    "order"=>"ASC",
	    "has_title"=> "true",
	    "has_lightbox"=> "true",
	    "has_link"=> "true"
	), $atts));
   	if ($type == 'Most Popular') { $order = "comment_count"; }

	global $post;
    global $helper;

	$i=0;
	global $wpdb;
   	$opts = array(

   	'post_type' => 'portfolio',
	'posts_per_page' => $count,
	'order' => $order,
	'tax_query' =>  array(
		array(
			'taxonomy' => 'post_format',
			'field' => 'slug',
			'terms' => array('post-format-quote','post-format-aside','post-format-video','post-format-link'),
			'operator' => 'NOT IN'
		)
	)
	);

	$popPosts = new WP_Query($opts);

    $i = 1;

    $post_output = '<div class="posts-wrapper clearfix">';


		while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0;  global $product;

		    if ($columns == 'full width') {$column_type = 'full_width'; }
		    if ($columns == 2) {$column_type = 'one_half'; }
		    if ($columns == 3) {$column_type = 'one_third'; }
		    if ($columns == 4) {$column_type = 'one_fourth'; }
		    if ($columns == 5) {$column_type = 'one_fifth'; }

			if ($columns != 'full width'){ $column_type = $i%$columns == 0 ? $column_type.'_last' : $column_type; }

			$post_output .= '<div class="'.$column_type.' post-preview layout_element shortcode-portfolio portfolio-item">';


		        if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) : /* if post has post thumbnail */
					$id = get_post_thumbnail_id();
			        $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
		    	    $post_output .= '<div class="image">';
		    	    	if ($columns == 'full width') {$post_output .= $helper->imageDisplay( array( "src" => $ar[0] , "height" => 500 , "width" => 1000, "link" => get_permalink() , 'imageAttr' => "alt='".get_the_title()."' class='post-image'" ));
		    	    	}else{ $post_output .= $helper->imageDisplay( array( "src" => $ar[0] , "height" => 327 , "width" => 330, "link" => get_permalink() , 'imageAttr' => "alt='".get_the_title()."' class='post-image'" )); }
		            $post_output .= '</div><!--image-->';
		    	endif;

		        $post_output .= '<section class="folio-overlay">';
		        	if ($has_title == 'true') {
						$post_output .= '<header>';
							$post_output .= '<h2>'.get_the_title().'</h2>';
						$post_output .= '</header>';
		        	}

					$content = apply_filters('the_content', get_the_content(''));
					$content = str_replace(']]>', ']]&gt;', $content);
					$post_output .= '<p>'.$helper->getShortenContent(100, strip_tags( $content )).'</p>';

					if ($has_lightbox == 'true'){ $post_output .= '<a href="'. $ar[0] .'" title="'. get_the_title() .'" class="lightbox">Open in lightbox</a>'; }
					if ($has_link == 'true') { $post_output .= '<a href="'. get_permalink() .'" class="link">View</a>'; }
				$post_output .= '</section>';

	        $post_output .= '</div>';
		$i++; endwhile;

	$post_output .= '</div>';

	return $post_output;
}
add_shortcode("portfolio","portfolioShortcode");

// == Titles =======================================

function titlesShortcode($atts, $content ='')
{
	extract(
	  shortcode_atts(array(
	    "tag"=>"h1",
	    "color"=>"#111",
	    "size"=>"1em"
	), $atts));

	return '<'.$tag.' style="color: '.$color.'; font-size:'.$size.'">'.$content.'</'.$tag.'>';
}

add_shortcode("title","titlesShortcode");

// == Twitter =======================================

function IOAgetTweets($count = 20, $username = false, $options = false) {
 global $super_options;

  require(HPATH.'/helper/titan_includes/twitter/StormTwitter.class.php');
  require(HPATH.'/helper/titan_includes/twitter/twitter-feed-for-developers-settings.php');

  $config['key'] = $super_options[SN.'_twitter_key'];
  $config['secret'] = $super_options[SN.'_twitter_secret_key'];
  $config['token'] = $super_options[SN.'_twitter_token'];
  $config['token_secret'] = $super_options[SN.'_twitter_secret_token'];
  $config['screenname'] = $username;
  $config['cache_expire'] = 3360;
  if ($config['cache_expire'] < 1) $config['cache_expire'] = 3600;
  $config['directory'] = PATH;

  $obj = new StormTwitter($config);
  $res = $obj->getTweets($count, $username, $options);
  update_option('tdf_last_error',$obj->st_last_error);
  return $res;
 }

function makeClickableLinks($s) {
	return preg_replace('@(https?://([-\w\.]+[-\w])+(:\d+)?(/([\w/_\.#-]*(\?\S+)?[^\.\s])?)?)@', '<a href="$1" target="_blank">$1</a>', $s);
}

  function ioa_twitter_shortcode($atts,$content)
{

	global $helper;

   	extract(
	shortcode_atts(array(
        "username" => "",
		"count" => "5"

    ), $atts));

   	if($count <=0 ) $count  = 5; // Validation

   	if($username=="")
   	{
   		$str = '<h4>Username is empty !</h4>';
   	}
   	else
   	{
   		$tweets = IOAgetTweets($count,esc_attr($username));
		$str = '<ul class="tweets">';
		if(is_array($tweets))
		{
			foreach ($tweets as $key => $tweet) {

				$str .= "<li>".makeClickableLinks($tweet['text'])."</li>";
			}
		}
		$str .= "</ul>";
   	}

   	return $str;
  }
  add_shortcode('tweets','ioa_twitter_shortcode');


// == Google Map =======================================

function googleTitanShortcodeMap($atts)
{
	extract(
	  shortcode_atts(array(
	    "width"=>"300",
	    "height"=>"300",
	    "address" => ''
	), $atts));

	$address = str_replace(" ","+",$address);

	return '<div class="google-map" style="width:'.$width.'px;height:'.($height).'px;">
	          <iframe width="'.$width.'" height="'.$height.'" style="border:none" scrolling="no" marginheight="0" marginwidth="0" src="http://maps.google.co.in/maps?q='.$address.'&amp;ie=UTF8&amp;hq=&amp;hnear='.$address.'&amp;gl=in&amp;z=11&amp;vpsrc=0&amp;iwloc=&amp;output=embed">              </iframe>
		    </div>';

}

add_shortcode("titanmap","googleTitanShortcodeMap");

// == Button =======================================

function buttonTitanShortcodeMaker($atts , $content , $code)
{
	extract(
	  shortcode_atts(array(
	    "background"=>"green",
	    "radius"=>"2px",
		"border" => "green",
	    "color" => '#ffffff',
		"link" => "#",
		"size" => "small",
		"window" => "no",

	), $atts));

	$style = " style = ' background-color:$background; border-radius:$radius; -moz-border-radius:$radius; color:$color; border:1px solid $border; ' ";

	$target = "";
	if($window=="yes") $target = "target='_BLANK'";

	return "<a href='$link' $target $style class='$code $size'> $content </a>";

}

add_shortcode("titanbutton","buttonTitanShortcodeMaker");


// == Pre Code =======================================

function preTitanShortcodesStyle($atts,$content)
{
	global $helper;
	return '<pre  class="prettyprint linenums"">'.titanShorcodeformat($content,false,false,false)."</pre>";
}
add_shortcode("titanpre","preTitanShortcodesStyle");




function createRecentPosts($atts)
{
	extract(
	shortcode_atts(array(
        "post_type" => "post",
		"class"=> '',
		"id" => '' ,
		"count" => 4 ,
		"extra" => true
    ), $atts));

	 global $post;
     global $helper;

	 $myposts = get_posts('numberposts='.$count.'&order=DESC&orderby=post_date&post_type='.$post_type);
     $retour="<div class='recentposts_shortcode'><ul class='clearfix posts' >";

	   foreach($myposts as $post) :
             setup_postdata($post);
			$retour.= '<li class="clearfix">';
			  if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) :

			 $id = get_post_thumbnail_id();
			 $ar = wp_get_attachment_image_src( $id , array(9999,9999) );

	         $retour.= $helper->imageDisplay( array("src" => $ar[0] , "width" =>50  , "height" =>50)  );

			 endif;


             $retour.='<div class="description"><h5><a href="'.get_permalink().'">'.the_title("","",false).'</a></h5>';
			 if($extra)
			 $retour.='<span>'.get_the_date('F d, Y, g:h a').'</span>';
			 $retour.= "</div></li>";
        endforeach;
        $retour.='</ul></div> ';
        return $retour;
}

add_shortcode("recentposts","createRecentPosts");

// == Popular Posts ========================

function createPopularPosts($atts,$content)
{
	extract(
	shortcode_atts(array(
       "post_type" => "post",
		"class"=> '',
		"id" => '' ,
		"count" => 4 ,
		"extra" => true,
		"excerpt_length" =>100
    ), $atts));

	 global $post;
     global $helper;
	 $myposts = get_posts('numberposts='.$count.'&order=DESC&orderby=comment_count&post_type='.$post_type);
      $retour="<div class='popularposts_shortcode'><ul class='clearfix posts'>";
        foreach($myposts as $post) :
             setup_postdata($post);

			$retour.= '<li class="clearfix">';
			  if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) :

			 $id = get_post_thumbnail_id();
			 $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
             $retour.= $helper->imageDisplay( array("src" => $ar[0] , "width" =>50  , "height" => 50)  );

			 endif;


             $retour.='<div class="description"><h5><a href="'.get_permalink().'">'.the_title("","",false).'</a></h5>';
			 if($extra)
			 $retour.='<span>'.get_the_date('F d, Y, g:h a').'</span>';
			 $retour.= "</div></li>";
        endforeach;
        $retour.='</ul></div> ';
        return $retour;
}

add_shortcode("popularposts","createPopularPosts");


// == Posts ===========================

function createPosts($atts,$content)
{
	extract(
	shortcode_atts(array(
        "post_type" => "post",
		"class"=> '',
		"id" => '' ,
		"count" => 4 ,
		"extra" => true,
		"excerpt_length" =>100,
		"author_name" => '',
		"category_name" => '',
		 "tag"=>''
    ), $atts));

	 global $post;
     global $helper;

	 if($author_name!="")
	 $author_name = "&author_name={$author_name}";

	 if($category_name!="")
	 $category_name = "&category_name={$category_name}";

	 if($tag!="")
	 $tag = "&tag={$tag}";

	if($post_type!="")
	 $post_type = "&post_type={$post_type}";

	 $myposts = get_posts('numberposts='.$count."&order=DESC{$author_name}{$category_name}{$tag}{$post_type}");
      $retour="<div class='posts_shortcode'><ul class='clearfix posts'>";

             foreach($myposts as $post) :
             setup_postdata($post);

			$retour.= '<li class="clearfix">';
			  if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) :

			 $id = get_post_thumbnail_id();
			 $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
             $retour.= $helper->imageDisplay( array("src" => $ar[0] , "width" =>50  , "height" => 50)  );

			 endif;


             $retour.='<div class="description"><h5><a href="'.get_permalink().'">'.the_title("","",false).'</a></h5>';
			 if($extra)
			 $retour.='<span>'.get_the_date('F d, Y, g:h a').'</span>';
			 $retour.= "</div></li>";
        endforeach;

				$retour.='</ul></div> ';
        return $retour;
}

add_shortcode("posts","createPosts");




function titanshortcodes_video($atts,$content)
{
	extract(
	shortcode_atts(array(
        "width" => "300",
		"height" => "250"

    ), $atts));


	global $wp_embed;
	$content = trim($content);

	if(strpos($content,'youtube'))
	{
		preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $content, $match);
		$temp = "<iframe title=\"YouTube video player\" width=\"{$width}\" height=\"{$height}\" src=\"http://www.youtube.com/embed/{$match[1]}?wmode=Opaque\" frameborder=\"0\" allowfullscreen ></iframe>";
	}
	else
	{
		$content = str_replace("http://",'',$content);
		$content = explode("/",$content);

		$temp = "<iframe title=\"Vimeo video player\" width=\"{$width}\" height=\"{$height}\" src=\"http://player.vimeo.com/video/{$content[1]}?wmode=Opaque\" frameborder=\"0\" ></iframe>";
	}


	return $temp;
}


add_shortcode("titanvideo","titanshortcodes_video");

// == Separator ================================================

function registerTitanShortcodesSeparator($atts)
{
	extract(
	shortcode_atts(array(


    ), $atts));




	return "<div class='titanseparator'></div>";
}


add_shortcode("titanseparator","registerTitanShortcodesSeparator");



// == Social Shortcodes ===========================================================

function registerTitanShortcodesTweetButton($atts)
{
	extract(
	shortcode_atts(array(
		"name" => "" , "text" => "" , "hashtags" => "" , "type" => "none"

    ), $atts));


	return '<a href="https://twitter.com/share" class="twitter-share-button" data-lang="en" data-via="'.$name.'" data-text="'.$text.'" data-hashtags='.$hashtags.'" data-count="'.$type.'" >Tweet</a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>';
}


add_shortcode("titantweet","registerTitanShortcodesTweetButton");


function registerTitanShortcodesFbButton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		"url" => get_permalink() , "layout" => "standard"

    ), $atts));

	$w  = 250;
	$h = 35;
	if($layout=="button_count" || $layout=="box_count") $w = 70;
	if($layout=="box_count") $h = 75;

	return '<iframe src="//www.facebook.com/plugins/like.php?href='.urlencode($url).';send=false&amp;layout='.$layout.'&amp;width=450&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=35&amp;appId=165111413574616" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:'.$w.'px; height:'.$h.'px;" allowTransparency="true"></iframe>';
}


add_shortcode("titanfacebook","registerTitanShortcodesFbButton");

function registerTitanShortcodesGButton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "size" => "small"

    ), $atts));


	return '<g:plusone size="'.$size.'"></g:plusone><script type="text/javascript">
  (function() {
    var po = document.createElement(\'script\'); po.type = \'text/javascript\'; po.async = true;
    po.src = \'https://apis.google.com/js/plusone.js\';
    var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>';
}


add_shortcode("titangoogle","registerTitanShortcodesGButton");

function registerTitanShortcodesDiggButton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "size" => "Icon"

    ), $atts));


	return '<script type="text/javascript">
(function() {
var s = document.createElement(\'SCRIPT\'), s1 = document.getElementsByTagName(\'SCRIPT\')[0];
s.type = \'text/javascript\';
s.async = true;
s.src = \'http://widgets.digg.com/buttons.js\';
s1.parentNode.insertBefore(s, s1);
})();
</script>
<!-- Wide Button -->
<a class="DiggThisButton Digg'.$size.'"></a>';
}


add_shortcode("titandigg","registerTitanShortcodesDiggButton");


function registerTitanShortcodesStumbleButton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "layout" => "1"

    ), $atts));



	return '<su:badge layout="'.$layout.'"></su:badge>
 <script type="text/javascript">
 (function() {
     var li = document.createElement(\'script\'); li.type = \'text/javascript\'; li.async = true;
      li.src = \'https://platform.stumbleupon.com/1/widgets.js\';
      var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(li, s);
 })();
 </script>';
}


add_shortcode("titanstumbleupon","registerTitanShortcodesStumbleButton");


function registerTitanShortcodespinfollome($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "user" => ""

    ), $atts));



	return '<a href="http://pinterest.com/'.$user.'/"><img src="http://passets-cdn.pinterest.com/images/follow-on-pinterest-button.png" width="156" height="26" alt="Follow Me on Pinterest" /></a>';
}


add_shortcode("titanpinterestfollow","registerTitanShortcodespinfollome");

function registerTitanShortcodespinterestfollow_small($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "user" => ""

    ), $atts));



	return '<a href="http://pinterest.com/'.$user.'/"><img src="http://passets-cdn.pinterest.com/images/small-p-button.png" width="16" height="16" alt="Follow Me on Pinterest" /></a>';
}


add_shortcode("titanpinterestfollow_small","registerTitanShortcodespinterestfollow_small");

function registerTitanShortcodespinbutton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		 "on_url" => "" , "to_url" => ""

    ), $atts));



	return '<a href="http://pinterest.com/pin/create/button/?url='.$on_url.'&media='.$to_url.'" class="pin-it-button" count-layout="horizontal"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a>';
}


add_shortcode("titanpinterest","registerTitanShortcodespinbutton");

// === Widgets Shortcodes ==================================================


function registerTitanShortcodesTabs($atts,$content)
{

 $content = do_shortcode($content);
 $data = explode("<tabend>",$content);
 array_pop($data);
$i =0;

$titles = array();
$contents = array();
for($i=0;$i<count($data);$i++)
{

		$temp = explode("<hades>",$data[$i]);
		$titles[$i] = $temp[0];
		$contents[$i] = $temp[1];

}

     $tab = "<div class='shortcodes-tabs'><ul  class=\"nav nav-tabs\">";
   $ids = array();
	for($i=0;$i<count($titles);$i++)
	{
		 $id =  uniqid('acc');
		 $ids[] = $id;

		if($i==0)
		$tab = $tab."<li class='active'><a href='#shortcodetabs-{$id}'  data-toggle=\"tab\"> $titles[$i] </a></li>";
		else
		$tab = $tab."<li><a href='#shortcodetabs-{$id}'  data-toggle=\"tab\"> $titles[$i] </a></li>";
	}
	$tab = $tab."</ul><div class='tab-content'>";

	for($i=0;$i<count($contents);$i++)
	{

		if($i==0)
		$tab = $tab."<div id='shortcodetabs-{$ids[$i]}' class=\"tab-pane active\"> $contents[$i] </div>	";
		else
		$tab = $tab."<div id='shortcodetabs-{$ids[$i]}' class=\"tab-pane\"> $contents[$i] </div>	";
	}

   $tab = $tab."</div></div>";

 return "{$tab}";

}


add_shortcode("titantabs","registerTitanShortcodesTabs");


function registerTitanShortcodesTab($atts,$content)
{
 global $helper;
  extract(
	shortcode_atts(array(
		 "title"  => ""

    ), $atts));
 $content = titanShorcodeformat($content);
 $tab = $title." <hades> ".$content ."<tabend>";
 return $tab;

}


add_shortcode("titantab","registerTitanShortcodesTab");

/* == Accordion Widget ============================= */

function createTitanShortcodesSection($atts,$content)
{
	global $helper;
	extract(
	shortcode_atts(array(
        "title" => 'Tab title',
		'collapse' => "true"
	    ), $atts));
	$content = titanShorcodeformat($content);

	$id =  uniqid('acc');

	if($collapse=="true") $collapse = 'collapse'; else $collapse= 'collapse in';

	$tab =  " <div class='accordion-group'> <div class='accordion-heading'><a href=\"#{$id}\" class='accordion-toggle' data-toggle=\"collapse\" data-parent=\"#{acc_parent}\" >$title</a></div>	<div id='{$id}' class='accordion-body $collapse'> <div class='accordion-inner'>$content</div> 	</div>   </div>";
	return $tab;
}

add_shortcode("titansection","createTitanShortcodesSection");

function createTitanShortcodesAccordion($atts,$content)
{
	extract(
	shortcode_atts(array(

		"width"=>"100%"
	    ), $atts));
	global $helper;
	$data = do_shortcode($content);
	$parent =  uniqid('pacc');
	$data = "<div class='shortcodes-accordion' id='$parent' style='width:$width'> $data </div>";
    $data = str_replace('{acc_parent}',$parent,$data);



	return $data;
}
add_shortcode("titanaccordion","createTitanShortcodesAccordion");


/* == FAQ Widget ============================= */

function createquestion($atts,$content)
{
	global $helper;
	extract(
	shortcode_atts(array(
        "question" => 'Your Question',
		'collapse' => "true"
	    ), $atts));
	$content = titanShorcodeformat($content);

	$id =  uniqid('acc');

	if($collapse=="true") $collapse = 'collapse'; else $collapse= 'collapse in';

	$tab =  " <div class='accordion-group'> <div class='accordion-heading'><a href=\"#{$id}\" class='accordion-toggle' data-toggle=\"collapse\" data-parent=\"#{acc_parent}\" >$question</a></div>	<div id='{$id}' class='accordion-body $collapse'> <div class='accordion-inner'>$content</div> 	</div>   </div>";
	return $tab;
}

add_shortcode("qasection","createquestion");

function createFAQ($atts,$content)
{
	extract(
	shortcode_atts(array(

		"width"=>"100%"
	    ), $atts));
	global $helper;
	$data = do_shortcode($content);
	$parent =  uniqid('pacc');
	$data = "<div class='shortcodes-faq' id='$parent' style='width:$width'> $data </div>";
    $data = str_replace('{acc_parent}',$parent,$data);



	return $data;
}
add_shortcode("faq","createFAQ");


// == Toggle ============================================

function createTitanShortcodesToggle($atts,$content)
{
	global $helper;
	extract(
	shortcode_atts(array(
        "title" => 'Toggle title',
		'collapse' => "true"
	    ), $atts));
	$content = titanShorcodeformat($content);

	$id =  uniqid('acc');

	if($collapse=="true") $collapse = 'collapse'; else $collapse= 'collapse in';

	$tab =  " <div class='accordion-group'> <div class='accordion-heading'><a href=\"#{$id}\" class='accordion-toggle' data-toggle=\"collapse\"  >$title</a></div>	<div id='{$id}' class='accordion-body $collapse'> <div class='accordion-inner'>$content</div> 	</div>   </div>";
	return $tab;
}

add_shortcode("titantoggle","createTitanShortcodesToggle");

function createTitanShortcodesQuotes($atts,$content,$code)
{
	extract(
	shortcode_atts(array(

		"class"=> '',
		"id" => '' ,

    ), $atts));

	if($id!="")
	$id='id = "$id" ';

	$temp = "<blockquote class='blockcode-right $class $code' $id> $content </blockquote>";


	return $temp;
}

add_shortcode("titanquotes","createTitanShortcodesQuotes");
add_shortcode("titanquotes_left","createTitanShortcodesQuotes");
add_shortcode("titanquotes_right","createTitanShortcodesQuotes");

function createTitanShortcodesHighlight($atts,$content)
{
	extract(
	shortcode_atts(array(

		"style"=> 'style1',


    ), $atts));



	$temp = "<span class='{$style}-highlight-text'> $content </span>";


	return $temp;
}


add_shortcode("titanhighlight","createTitanShortcodesHighlight");


// == Tooltip ============================================

function createTitanShortcodesTooltip($atts,$content)
{
	global $helper;
	extract(
	shortcode_atts(array(
        "tip_data" => 'Tooltip yay'
	    ), $atts));

	$tab =  "<a href=\"#\" class='stooltip' rel=\"tooltip\" title=\"{$tip_data}\">$content</a>";
	return $tab;
}

add_shortcode("titantooltip","createTitanShortcodesTooltip");

// == Popover ============================================

function createTitanShortcodesPopover($atts,$content)
{
	global $helper;
	extract(
	shortcode_atts(array(
	    'title' => '',
        "data" => 'Popover yay',
		"position" => 'left'
	    ), $atts));

	$tab =  "<a href=\"\" rel=\"popover\" title=\"{$title}\" data-content='$data' data-placement='$position'>$content</a>";
	return $tab;
}

add_shortcode("titanpopover","createTitanShortcodesPopover");



// == Modal Boxes =======================================

function createTitanShortcodesBoxes($atts,$content,$code)
{
	extract(
	  shortcode_atts(array(
	    "title"=>"",
		"width" => ""
	    ), $atts));

		if($width!="")
		$width = "width:{$width}";

		if($title!="") $title = ' <h4 class="alert-heading custom-font">'.$title.'</h4>';

		$modal = "<div class=\"alert\"> <a class=\"close\" data-dismiss=\"alert\">×</a> $content </div> ";
		switch($code)
		{
			case "titanwarning_box" : $modal = "<div class=\"alert\"> <a class=\"close\" data-dismiss=\"alert\">×</a> $title $content </div> "; break;
			case "titanerror_box" : $modal = "<div class=\"alert alert-error\"> <a class=\"close\" data-dismiss=\"alert\">×</a> $title $content </div> "; break;
			case "titansuccess_box" : $modal = "<div class=\"alert alert-success\"> <a class=\"close\" data-dismiss=\"alert\">×</a> $title $content </div> "; break;
			case "titaninformation_box" : $modal = "<div class=\"alert alert-info\"> <a class=\"close\" data-dismiss=\"alert\">×</a> $title $content </div> ";  break;
		}

		return ''.$modal.'';
}

add_shortcode("titanerror_box","createTitanShortcodesBoxes");
add_shortcode("titanwarning_box","createTitanShortcodesBoxes");
add_shortcode("titansuccess_box","createTitanShortcodesBoxes");
add_shortcode("titaninformation_box","createTitanShortcodesBoxes");

// == Icons =========================


function functiontitanicon($atts)
{
	extract(
	shortcode_atts(array(

		"name"=> '',
		"color" => "black"

    ), $atts));

	if(strtolower($color)=="black") $color = ''; else $color = 'icon-white';

	return "<i class='$name $color'></i>";
}

/* == Font Icon ======================================== */

add_shortcode("titanicon","functiontitanicon");

function functiontitanfonticon($atts)
  {
    extract(
    shortcode_atts(array(

      "name"=> '',
      "color" => "#000",
      "size" => '20'

      ), $atts));

    return "<i class='{$name}' style='color: {$color}; font-size: {$size}px;'></i>";
  }


  add_shortcode("fonticon","functiontitanfonticon");

/* == Media Shortcodes ======================================== */


function functionTitanShortcodesDribblemedia($atts)
{
	extract(
	shortcode_atts(array(

		"username"=> 'Abhin',
		"count" => 6


    ), $atts));

	$data = wp_remote_get('http://api.dribbble.com/players/'.$username.'/shots');
	$data = json_decode($data['body'],true);

	$shots = "<div class='dribble_shortcode_media clearfix'>";
	$i=0;
	foreach($data['shots'] as $shot)
	{
		if($i>=$count) break;
		$shots = $shots . "<a href='".$shot['url']."' title='".$shot['title']."'><img src='".$shot['image_url']."' /></a>";
		$i++;
	}


	return $shots;
}


add_shortcode("titandribbble_media","functionTitanShortcodesDribblemedia");


function functionTitanShortcodesFlickrmedia($atts)
{
	extract(
	shortcode_atts(array(

		"username"=> '',
		"key" => "",
		"count" => 6


    ), $atts));


	include(HPATH."/helper/phpFlickr.php");

	$data = '<div class="flickr_shortcode_media clearfix"> ';

	if($key=="") { $data = '<h4> No API KEY ADDED </h4> '; } else {

  	$f = new phpFlickr($key);
  	$person = $f->people_findByUsername($username);
  	$photos_url = $f->urls_getUserPhotos($person['id']);
  	$photos = $f->people_getPublicPhotos($person['id'], NULL, NULL, 16);
	$i=0;

	foreach ((array)$photos['photos']['photo'] as $photo) {
	if($i>=$count) break;
  		$theImageSrc = $f->buildPhotoURL($photo, "thumbnail");
        $data = $data . "<a href='".($theImageSrc)."'  ><img src='".($theImageSrc)."' alt=\"".$photos_url.$photo["id"]."\" title='$photo[title]' /></a>";
    $i++;
	 }


  }
  $data = $data."</div>";

	return $data;
}


add_shortcode("titanflickr_media","functionTitanShortcodesFlickrmedia");


function titanShorcodeformat($content,$strip_tags = false,$shortcode=true,$autop=true){
	    $content = 	stripslashes($content);

		if($shortcode) $content = do_shortcode( $content  );
	    $content = preg_replace('#^<\/p>|^<br\s?\/?>|<p>$|<p>\s*(&nbsp;)?\s*<\/p>#', '', $content);

	   if($strip_tags) $content = strip_tags($content);
	   if($autop) $content = wpautop($content);

	   return $content;

	   }

/* Old core shortcodes */

// == Layout =======================================

function layoutMaker($atts , $content , $code)
{
	global $helper;
	$hasLast = strpos($code,"_last");
	if($hasLast)
	$add = "<div class='clearfix'></div>";
	else
	$add ='';
	return "<div class='$code clearfix layout_element'> ". intShorcodeformat( $content )." </div> $add";

}
add_shortcode("one_half","layoutMaker");
add_shortcode("one_half_last","layoutMaker");
add_shortcode("one_third","layoutMaker");
add_shortcode("one_third_last","layoutMaker");
add_shortcode("two_third","layoutMaker");
add_shortcode("two_third_last","layoutMaker");
add_shortcode("one_fourth","layoutMaker");
add_shortcode("one_fourth_last","layoutMaker");
add_shortcode("three_fourth","layoutMaker");
add_shortcode("three_fourth_last","layoutMaker");
add_shortcode("one_fifth","layoutMaker");
add_shortcode("one_fifth_last","layoutMaker");
add_shortcode("four_fifth","layoutMaker");
add_shortcode("four_fifth_last","layoutMaker");
add_shortcode("one_sixth","layoutMaker");
add_shortcode("one_sixth_last","layoutMaker");
add_shortcode("five_sixth","layoutMaker");
add_shortcode("five_sixth_last","layoutMaker");

function inertanltitanshortcodes_video($atts,$content)
{
	extract(
	shortcode_atts(array(
        "width" => "300",
		"height" => "250"

    ), $atts));


	global $wp_embed;
	$content = trim($content);

	$id = uniqid('vid');

	if(strpos($content,'youtube'))
	{
		preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $content, $match);
		$temp = "<iframe title=\"YouTube video player\" width=\"{$width}\" height=\"{$height}\" src=\"http://www.youtube.com/embed/{$match[1]}?wmode=transparent&amp;enablejsapi=1&amp;version=3&amp;playerapiid=$id\"  allowfullscreen id='$id' class='youtube'  data-sw='".$width."' data-sh='".$height."'  ></iframe>";


	}
	else
	{
		$content = str_replace("https://",'',$content);
		$content = str_replace("http://",'',$content);
		$content = explode("/",$content);

		$temp = "<iframe title=\"Vimeo video player\" width=\"{$width}\" height=\"{$height}\" src=\"http://player.vimeo.com/video/{$content[1]}?api=1&amp;wmode=Opaque&amp;player_id=$id\" id='$id' class='vimeo'  data-sw='".$width."' data-sh='".$height."' ></iframe>";
	}


	return $temp;
}


add_shortcode("internalvideo","inertanltitanshortcodes_video");

// === Blog shortcodes ============================================================

function functionpost_author_posts_link($atts)
{
	global $post,$author;


	return "<a href='".get_author_posts_url(get_the_author_meta( 'ID' ))."'>".get_the_author()."</a>";
}


add_shortcode("post_author_posts_link","functionpost_author_posts_link");


function functionpost_date($atts)
{
	global $post,$author;
	extract(
	shortcode_atts(array(
		 "format"  => "l, F d S, Y"

    ), $atts));

	return get_the_time($format);
}


add_shortcode("post_date","functionpost_date");


function functionpost_time($atts)
{
	global $post,$author;
	extract(
	shortcode_atts(array(
		 "format"  => "g:i a"

    ), $atts));

	return get_the_time($format);
}


add_shortcode("post_time","functionpost_time");


function functionpost_tags($atts)
{
	global $post,$author;

	$posttags = get_the_tags($post->ID);

	$str = '';
		if ($posttags) {
			$i=0;
		  foreach($posttags as $tag) {

			if($i==0)
			$str = $str. '<a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a>';
			else
			$str = $str. ' , <a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a>';

			$i++;
		  }
		}


	return $str ;
}


add_shortcode("post_tags","functionpost_tags");


function functionpost_comments($atts)
{
	global $post,$author;

	ob_start();
	 comments_number( __('no Comments','h-framework'), __('one Comment','h-framework'), '%'.__(' Comments','h-framework') );
	 $temp = ob_get_contents();
    ob_end_clean();

return '<a class="single-comment" href="'.get_permalink().'#comment" >'.$temp.'</a>';
}




add_shortcode("post_comments","functionpost_comments");


function functionpost_comments_number($atts)
{
	global $post,$author;



return '<a class="single-comment" href="'.get_permalink().'#comment" >'.get_comments_number( $post->ID ).'</a>';
}




add_shortcode("post_comments_number","functionpost_comments_number");

function functionpost_categories($atts)
{
	global $post,$author;

	$cats = get_the_category( $post->ID );
 $str = '';
 $i =0;
  foreach($cats as $c)
  {
	  if($i==count($cats)-1)
	  $str = $str .'<a href="'.get_category_link($c->term_id ).'">'.$c->cat_name.'</a>';
	  else
	  $str =$str . '<a href="'.get_category_link($c->term_id ).'">'.$c->cat_name.'</a> ,';

	  $i++;
  }
 return $str;
}


add_shortcode("post_categories","functionpost_categories");


// == Titan Slider =======================================

function sliderMaker($atts)
{
	extract(
	  shortcode_atts(array(
	    "id"=>"",
		"width" => 500 ,
		"height" => 500
	    ), $atts));

	global $wpdb;

	$table_db_name = $wpdb->prefix . "tslidermanager";
	$slider = $wpdb->get_row("SELECT * FROM $table_db_name where id='$id' ",ARRAY_A);


	 $slides = unserialize($slider['slides']);
	 $options =  unserialize($slider['options']);

	 if($width!="")
	 $options['width'] = $width;



	 if( !is_array($slides) ) $slides = array();

	 $shortcodeslider =  new Orion($slides,$options,$id);
	 return $shortcodeslider->getSlider();
}
add_shortcode('titan_slider','sliderMaker');


 function intShorcodeformat($content,$strip_tags = false,$shortcode=true,$autop=true){
	    $content = 	stripslashes($content);

		if($shortcode) $content = do_shortcode( $content  );
	    $content = preg_replace('#^<\/p>|^<br\s?\/?>|<p>$|<p>\s*(&nbsp;)?\s*<\/p>#', '', $content);

	   if($strip_tags) $content = strip_tags($content);
	   if($autop) $content = wpautop($content);

	   return $content;

	   }

function registerShortcodesFbButton($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		"url" => get_permalink() , "layout" => "standard"

    ), $atts));

	$w  = 250;
	$h = 35;
	if($layout=="button_count" || $layout=="box_count") $w = 70;
	if($layout=="box_count") $h = 75;

	return '<iframe src="//www.facebook.com/plugins/like.php?href='.urlencode($url).';send=false&amp;layout='.$layout.'&amp;width=450&amp;show_faces=false&amp;action=like&amp;colorscheme=light&amp;font&amp;height=35&amp;appId=165111413574616" scrolling="no"  style="border:none; overflow:hidden; width:'.$w.'px; height:'.$h.'px;" allowTransparency="true"></iframe>';
}


add_shortcode("tfacebook","registerShortcodesFbButton");


function registerShortcodesoscialicons($atts)
{
	global $post;
	extract(
	shortcode_atts(array(
		"url" => get_permalink() , "type" => "twitter"

    ), $atts));


	$sp ='';

	switch($type)
	{
		case "f500px" : $sp =  URL."/sprites/i/si/500px-32.png"; break;
        case "aim" : $sp = URL."/sprites/i/si/aim-32.png";  break;
        case "android" : $sp = URL."/sprites/i/si/android-32.png";  break;
        case "badoo" : $sp = URL."/sprites/i/si/badoo-32.png";  break;

        case "dailybooth" : $sp =  URL."/sprites/i/si/dailybooth-32.png";  break;
        case "dribbble" : $sp =  URL."/sprites/i/si/dribbble-32.png";  break;
        case "email" : $sp =  URL."/sprites/i/si/email-32.png";  break;
        case "foursquare" : $sp =  URL."/sprites/i/si/foursquare-32.png";  break;


        case "github" : $sp =  URL."/sprites/i/si/github-32.png";  break;
        case "google" : $sp =  URL."/sprites/i/si/google+-32.png";  break;
        case "hipstamatic" : $sp =  URL."/sprites/i/si/Hipstamatic-32.png";  break;
        case "icq" : $sp = URL."/sprites/i/si/icq-32.png";  break;


        case "instagram" : $sp =   URL."/sprites/i/si/instagram-32.png";  break;
        case "lastfm" : $sp =  URL."/sprites/i/si/lastfm-32.png";  break;
        case "linkedin" : $sp =  URL."/sprites/i/si/linkedin-32.png";  break;
        case "path" : $sp =  URL."/sprites/i/si/path-32.png";  break;

         case "picasa" : $sp =  URL."/sprites/i/si/picasa-32.png";  break;
        case "pininterest" : $sp =  URL."/sprites/i/si/pinterest-32.png";  break;
       case "quora" : $sp =  URL."/sprites/i/si/quora-32.png";  break;
        case "rdio" : $sp =  URL."/sprites/i/si/rdio-32.png";  break;

        case "rss" : $sp =  URL."/sprites/i/si/rss-32.png";  break;
        case "skype" : $sp =   URL."/sprites/i/si/skype-32.png";  break;
        case "reddit" : $sp =  URL."/sprites/i/si/reddit-32.png";  break;
        case "spotify" : $sp =  URL."/sprites/i/si/spotify-32.png";  break;

       case "thefancy" : $sp =  URL."/sprites/i/si/thefancy-32.png";  break;
       case "tumblr" : $sp =  URL."/sprites/i/si/tumblr-32.png";  break;
       case "twitter" : $sp =  URL."/sprites/i/si/twitter-32.png";  break;
       case "vimeo" : $sp =  URL."/sprites/i/si/vimeo-32.png";  break;

       case "xbox" : $sp =  URL."/sprites/i/si/Xbox-32.png";  break;
        case "youtube" : $sp =  URL."/sprites/i/si/YouTube-32.png";  break;
        case "zerply" : $sp =  URL."/sprites/i/si/zerply-32.png";  break;
         case "facebook" : $sp =  URL."/sprites/i/si/facebook-32.png";  break;
	}
	 $i = '<a href="'.$url.'"class="shortcode-social-icon"  ><img src="'.$sp.'" alt="social icon" /></a>';
	return $i;
}


add_shortcode("social_icon","registerShortcodesoscialicons");
